commit 7db8e54
Author: Simon Barber <simon.barber@meraki.net>
Date:   Wed Jun 7 13:38:08 2017 -0700

    ieee80211-radio: Fix description of packet start and end time fields
    
    Change-Id: I8b0acaa689c468b6da553d47a15a9d47fe9d45a6
    Reviewed-on: https://code.wireshark.org/review/22021
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 23a2f56b0fcfb72c183f0ace8f30e25400036408)
    Reviewed-on: https://code.wireshark.org/review/22022

commit 316d09a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jun 7 12:37:44 2017 -0700

    WiX: Switch to Visual Studio 2015.
    
    The Windows builders now use Visual Studio 2015.
    
    Change-Id: I0fe4defd090930a0b8531e544d03ad4f3b36dac1
    Reviewed-on: https://code.wireshark.org/review/22018
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit fdd7757
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jun 7 12:42:19 2017 +0200

    epl: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
    
    Change-Id: Id5dde66c6473cd7ba3c7cc981d7b86f564f7ca9f
    Reviewed-on: https://code.wireshark.org/review/22004
    Reviewed-by: Ahmad Fatoum <ahmad@a3f.at>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 8aa84c630e258654db4ca99b4eb6c1a1ac3bc8bd)
    Reviewed-on: https://code.wireshark.org/review/22014

commit ece3dec
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jun 7 12:35:48 2017 +0200

    epl: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
    
    Change-Id: Id8e5c3622f5186fcab530b9d329a0ff1d42bd6f3
    Reviewed-on: https://code.wireshark.org/review/22002
    Reviewed-by: Ahmad Fatoum <ahmad@a3f.at>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 831828878d998cdf12fbba66f5b8cabdfadac7a1)
    Reviewed-on: https://code.wireshark.org/review/22012

commit 404aa22
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 7 14:18:52 2017 +0200

    RANAP: prevent heuristic dissector from adding info to tree or triggering exception
    
    Bug: 13770
    Change-Id: I6ba5dfb5098ea1a4d4d1e2d740382326c7d58f8c
    Reviewed-on: https://code.wireshark.org/review/22006
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Ivan Nardi <nardi.ivan@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit e82fa761d671fd4e1c6cdeccd57473fb18982e87)
    Reviewed-on: https://code.wireshark.org/review/22009

commit a6a92ad
Author: Anton Butenko <ant.butenko@gmail.com>
Date:   Wed Jun 7 13:07:04 2017 +0300

    CoAP: added new TLV code 11542 according to changes in LwM2M OMA Spec.
    
    Bug: 13761
    Change-Id: I3cd5bca6e6959aeb74bf3ae8141c3b2afa70e028
    Reviewed-on: https://code.wireshark.org/review/21999
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 5598faa3429b36a904e3ebc4cb5cd20f94a2b3ab)
    Reviewed-on: https://code.wireshark.org/review/22008

commit 593bbbf
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Jun 7 10:08:46 2017 +0200

    Qt: Wireless Timeline improvements
    
    - Change keyboard shortcuts to Ctrl+Shift+[IOU]
    - Use UTF8_MICRO_SIGN in tooltip text
    - Change 0xffffffffffffffff with G_MAXUINT64
    - Check for valid wlan_radio *ri before use
    - Small whitespace cleanups
    
    Change-Id: I9fa85c0d675ef3837510afaf5f1b723d89ac134c
    Ping-Bug: 13769
    Reviewed-on: https://code.wireshark.org/review/21993
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Simon Barber <simon.barber@meraki.net>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit f1496b6dff0460e5137673bf55bd49a1f19d361d)
    Reviewed-on: https://code.wireshark.org/review/22007

commit 2be6f4a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jun 6 13:34:47 2017 +0000

    epl: fix code will never be executed [-Wunreachable-code]
    
    false positive when declare variable after a switch(){
    
    Change-Id: Ief4770b2200a356b061cf84c7828c8ebe76a1fbb
    Reviewed-on: https://code.wireshark.org/review/21983
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit dd52b1653791a7e4367d134f740b724155063db6)
    Reviewed-on: https://code.wireshark.org/review/21996
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Petri-Dish: Roland Knall <rknall@gmail.com>

commit bf13a89
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jun 6 13:22:21 2017 +0000

    epl: fix no previous prototype for function 'profile_load' [-Wmissing-prototypes]
    
    Change-Id: I5c3119436984cc7de3dcf4dffd1961481cacc553
    Reviewed-on: https://code.wireshark.org/review/21982
    Petri-Dish: Roland Knall <rknall@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit a5a4a0bd55769ad63fa568897b0da504aab9a6c2)
    Reviewed-on: https://code.wireshark.org/review/21997
    Reviewed-by: Roland Knall <rknall@gmail.com>

commit c56ad1a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jun 7 11:58:23 2017 +0200

    umts_fp: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
    
    Change-Id: Iae6425704cdd72476bcadf9912564dc162684ef5
    Reviewed-on: https://code.wireshark.org/review/22000
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 26eb40cf3b84c14bafa7a8bda571a02fdee7aba2)
    Conflicts:
            epan/dissectors/packet-umts_fp.c
    Reviewed-on: https://code.wireshark.org/review/22005

commit 60ba41c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jun 6 11:15:03 2017 +0000

    epl (profiler-parser): fix parameter 'cmp/allocator' not found in the function declaration [-Wdocumentation]
    
    Change-Id: I76a7c66fd4d1872b5cc63447b5acfac2ab8821fd
    Reviewed-on: https://code.wireshark.org/review/21981
    Reviewed-by: Roland Knall <rknall@gmail.com>
    (cherry picked from commit 874f8ade9c4b5b2b5a2100cc50186daab9af6d6d)
    Reviewed-on: https://code.wireshark.org/review/21994

commit ce7bedb
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jun 6 13:54:45 2017 +0000

    netflow/cflow: fix hf conflict
    
    'cflow.pie.ntop.retransmitted_out_bytes' exists multiple times with NOT compatible types: FT_IPv6 and FT_UINT32
    
    Change-Id: I9caed4c28a5e8322008b4cae4f625a681343a136
    Reviewed-on: https://code.wireshark.org/review/21984
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit ba86dc303da0d62650c0136967c18eba62cc8eaa)
    Reviewed-on: https://code.wireshark.org/review/21995
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2183118
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Jun 7 08:57:44 2017 +0200

    ieee80211: Explain TSF in wlan_radio.timestamp blurb
    
    Also exchange 0xFFFFFFFFFFFFFFFF with G_MAXUINT64.
    
    Change-Id: Ie9ecca6268afc1788ce79015295b706350490476
    Reviewed-on: https://code.wireshark.org/review/21990
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 067716557403254cd9c476a8340dd318d58efa49)
    Reviewed-on: https://code.wireshark.org/review/21992
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit a5c64ec
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jun 6 21:24:52 2017 +0200

    CQL: add an expert info when a list count is negative
    
    Bug: 13764
    Change-Id: Ied78911c7089c9b7ca50d4df0e478cd4946af372
    Reviewed-on: https://code.wireshark.org/review/21988
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Benoît Canet <benoit@scylladb.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 8e738bad90eb0ede94c56fb7709f0081564cd225)
    Reviewed-on: https://code.wireshark.org/review/21991

commit e11a11b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 15 19:30:30 2017 +0000

    .mailmap: update (of May)
    
    Change-Id: I40cf8db41036a6ba1d6a67fb0a4f3e194ad1107b
    Reviewed-on: https://code.wireshark.org/review/21671
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 6216e576fc063661a36eea3f9596bc0d1ca034e2)
    Reviewed-on: https://code.wireshark.org/review/21980

commit a55756d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 5 15:45:29 2017 -0700

    Fixup version.conf.
    
    Change-Id: I2d3ab0866f34fbcf25ad65ba01c5c035cefd3dd0
    Reviewed-on: https://code.wireshark.org/review/21974
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 104cd28
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Jun 5 08:17:00 2017 -0400

    Add wireless timeline view to release notes
    
    Change-Id: I7180a685b7c89a52bd756556a4954b7152771297
    Reviewed-on: https://code.wireshark.org/review/21959
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ab92ca3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jun 3 11:29:28 2017 +0200

    Transifex: Add master-24 branch
    
    TODOlist for create a new branch
    
    Edit .tx/config and set the new branch (don't support . or -)
    
    tx push -s for push source file
    tx -push -t -f for push translation (and force...)
    
    Push a new commit on new branch for modification of .tx/config
    
    Change-Id: Icc3682e055adf728a14197186ec14da7728df890
    Reviewed-on: https://code.wireshark.org/review/21912
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ef274e6
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Jun 5 18:54:56 2017 +0200

    Qt: Build wireless_timeline.cpp with -Wshorten-64-to-32
    
    [...]/wireshark/ui/qt/wireless_timeline.cpp:190:50: error: implicit
       conversion loses integer precision: 'unsigned long' to 'guint' (aka 'unsigned int')
       [-Werror,-Wshorten-64-to-32]
         guint half_window = (end_tsf - start_tsf)/2;
               ~~~~~~~~~~~   ~~~~~~~~~~~~~~~~~~~~~^~
    
    Change-Id: I675408f8a6c0809588ce89b2b98e05d7bfb10ed9
    Reviewed-on: https://code.wireshark.org/review/21969
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit eb15222af228a9f08ba7031ddec635f0e08300c5)
    Reviewed-on: https://code.wireshark.org/review/21971

commit 3cd64be
Author: Gerald Combs <gerald@zing.org>
Date:   Mon Jun 5 08:05:04 2017 -0700

    More 2.4 initialization.
    
    Change-Id: I9d79c7b4b23e3194ff9e333151040f69476897a7
    Reviewed-on: https://code.wireshark.org/review/21968
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a0c5878
Author: Ivan Nardi <nardi.ivan@gmail.com>
Date:   Mon Jun 5 13:24:03 2017 +0200

    [Bssmap] Fix and improve dissection
    
    See TS 48.008:
    * in "Perform Location Request" msg, "Cell Identifier" ie is optional, not mandatory (3.2.1.71)
    * in "Uplink Releae Command" msg, "Cause" ie is mandatory (3.2.1.62)
    * fixed and improved "Service Handover" ie dissection (3.2.2.75)
    
    Change-Id: I2194bf56ef21a2cccbd4f2ed7ff22565af04cddd
    Reviewed-on: https://code.wireshark.org/review/21957
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 795077b3ea95b1c2fb8f8cf5c6971da05a0c3ed2)
    Reviewed-on: https://code.wireshark.org/review/21960

commit 17c2586
Author: Simon Barber <simon.barber@meraki.net>
Date:   Thu Apr 6 17:45:33 2017 -0400

    Add a timeline view for packets, with the timing data used to generate the display
    taken from the timing analysis done in the wlan_radio dissector. QT only.
    
    The timeline background is light gray, white for packets displayed in the packetlist,
    and blue for the currently selected packet. Packets are coloured according to the
    colouring rules foreground colour. The timeline can be zoomed with controls on the
    toolbar.
    
    At higher zoom levels the duration (NAV) field is plotted as a horizontal line to the
    right of a packet.
    
    The height of a packet in the timeline is proportional to the RSSI.
    
    The bottom half of the packet is only shown if it matches the display filter.
    
    Todo:
    Auto detect TSF timing reference point (start/end of packet)
    Add a scrollbar
    Add a ruler showing time
    Improve handling of focus.
    Do not display NAV for packets with bad FCS.
    Show related packets graphically
    Different Y axis modes
    - bandwidth/channel use display
    - different transmitters per line
    - background color from coloring rules
    Live capture support
    
    Change-Id: Ic31fffb0d6854966361ade7abb5c0be50db9a247
    Reviewed-on: https://code.wireshark.org/review/21956
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 4336954
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jun 4 18:58:40 2017 -0700

    Allow bigger snapshot lengths for D-Bus captures.
    
    Use WTAP_MAX_PACKET_SIZE_STANDARD, set to 256KB, for everything except
    for D-Bus captures.  Use WTAP_MAX_PACKET_SIZE_DBUS, set to 128MB, for
    them, because that's the largest possible D-Bus message size.  See
    
            https://bugs.freedesktop.org/show_bug.cgi?id=100220
    
    for an example of the problems caused by limiting the snapshot length to
    256KB for D-Bus.
    
    Have a snapshot length of 0 in a capture_file structure mean "there is
    no snapshot length for the file"; we don't need the has_snap field in
    that case, a value of 0 mean "no, we don't have a snapshot length".
    
    In dumpcap, start out with a pipe buffer size of 2KB, and grow it as
    necessary.  When checking for a too-big packet from a pipe, check
    against the appropriate maximum - 128MB for DLT_DBUS, 256KB for
    everything else.
    
    Change-Id: Ib2ce7a0cf37b971fbc0318024fd011e18add8b20
    Reviewed-on: https://code.wireshark.org/review/21952
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit d0865fd619454a9ac06b1c7d287dc438aff50bb0)
    Reviewed-on: https://code.wireshark.org/review/21955

commit 2a776cd
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Dec 6 19:38:54 2016 -0500

    [TDS] Convert to using tcp_dissect_pdus.
    
    Bring some modernity to this dissector and use tcp_dissect_pdus.  Also an excuse to
    remove the conversation_set_dissector in the heuristic dissector which was generating
    some false positives because the heuristic isn't that strong.
    
    Bug: 12882
    Change-Id: Ibb04fd4fbc819acd1dc96d6259b047c897ec2de6
    Reviewed-on: https://code.wireshark.org/review/19125
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 17965f57f178aa7e4027f2d363658098e2f1abb3)
    Reviewed-on: https://code.wireshark.org/review/21954

commit 0c5ac6a
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Jun 4 18:43:01 2017 -0400

    Add DCE/RPC over TCP dissector to "force" DCE/RPC when heuristics fail
    
    Add a simple dissection function for DCE/RPC that just calls tcp_dissect_pdus
    and doesn't do any heuristics checks.  This can be used to handle cases
    where TCP PDU is too small for DCE/RPC heuristics checks and user
    knows the data is DCE/RPC and can set it through Decode As.
    
    Bug: 6392
    Change-Id: I9e4960282ea64d20499f7d5a330f48f30a092b30
    Reviewed-on: https://code.wireshark.org/review/21951
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit aabb8fd5946110767479e2863ffe4fc40d63ac53)
    Reviewed-on: https://code.wireshark.org/review/21953

commit 0ec22de
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jun 4 12:15:34 2017 -0700

    Allocate the pipe capture data buffer upfront.
    
    We were allocating it every time we called cap_pipe_dispatch() (or,
    prior to I0256daae8478f1100fdde96a16a404465ec200b3, in
    capture_loop_dispatch()) and freeing it before the routine in question
    returned.
    
    However, we were treating that buffer as if it persisted from call to
    call, which worked *only* if freeing and re-allocating the buffer meant
    that we'd get back the same buffer with its previous contents intact.
    
    That is *not* guaranteed to work.
    
    Instead, allocate the buffer when we open the capture pipe, and free it
    when we close the capture pipe.
    
    Change-Id: Ic785b1f47b71b55aba426db3b1e868186c265263
    Reviewed-on: https://code.wireshark.org/review/21948
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b58e23846e4f21318efebca138f9aa3b0e26792d)
    Reviewed-on: https://code.wireshark.org/review/21949

commit aab5454
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 4 16:42:48 2017 +0200

    GSM A DTAP: fix detection of missing first mandatory element
    
    Bug: 13760
    Change-Id: I1c062420f96104a46e5d1478eb054f086f942b54
    Reviewed-on: https://code.wireshark.org/review/21946
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 6d29f50d61de03f73a2a9336378b1c846ae65924)
    Reviewed-on: https://code.wireshark.org/review/21947

commit 674d1d7
Author: Ivan Nardi <nardi.ivan@gmail.com>
Date:   Sun Jun 4 12:46:50 2017 +0200

    [SGsAP] Fix Release-Request msg
    
    "SGs Cause" is an optional ie, not a mandatory one. See TS 29.118 8.23.1
    
    Change-Id: I74ad90d159e667fa41f8c099520ce5f662a4d85e
    Reviewed-on: https://code.wireshark.org/review/21939
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 88cf898c4409d4267ef11eb6676cca5c8b05c435)
    Reviewed-on: https://code.wireshark.org/review/21943

commit 3e3fc78
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 4 08:16:23 2017 +0000

    [Automatic update for 2017-06-04]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I3a58a0486a2904fc98693d58255c58f6d9fe0bdb
    Reviewed-on: https://code.wireshark.org/review/21933
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit fa9f5b1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 3 21:57:39 2017 -0700

    Allocate a buffer in cap_pipe_dispatch(), not in capture_loop_dispatch().
    
    The buffer is only used when reading from a pipe; no need to allocate it
    when capturing from a pcap_t.
    
    Doing it in cap_pipe_dispatch() makes it clearer when the buffer exists
    and when it doesn't.
    
    Change-Id: I0256daae8478f1100fdde96a16a404465ec200b3
    Reviewed-on: https://code.wireshark.org/review/21930
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b70a2370c14d647b122eedfe7f9f3d6ba79595c4)
    Reviewed-on: https://code.wireshark.org/review/21931

commit 9f01026
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jun 3 20:07:12 2017 -0400

    Bugfix GTK Decode As
    
    Current layer number needs to be unconditionally saved after v2.3.0rc0-3740-ge1f84f985e,
    which increased the number of dissectors that use current layer number to
    determine Decode As value.
    
    Change-Id: Ib82370af94ea00613a337890369e228cffa1ed81
    Reviewed-on: https://code.wireshark.org/review/21928
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 0c166f947e9c0f92f3c9bd56fe3db59589511b60)
    Reviewed-on: https://code.wireshark.org/review/21929

commit 20ec1a7
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Jun 3 23:13:17 2017 +0200

    capture-pcap-util.c: fix a typo
    
    Change-Id: I674d02be665afc331e266725c0a0cbc0a33d9403
    Reviewed-on: https://code.wireshark.org/review/21926
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 2ba951b984253135ba4dced906dd56a9d487ea65)
    Reviewed-on: https://code.wireshark.org/review/21927

commit 317cebe
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 3 12:58:36 2017 -0700

    Don't keep the pcap/pcapng link-layer header type as interface data.
    
    Either 1) it can be determined from the libwiretap encapsulation type,
    in which case it's redundant information or 2) there *is* no pcap/pcapng
    link-layer header type for that encapsulation type, in which case you
    need to check for the attempt to determine it failing and handle that
    failure appropriately.
    
    Change-Id: Ie9557b513365c1fc8c6df74b9c8239e29aad46bc
    Reviewed-on: https://code.wireshark.org/review/21924
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 30c86f8b34233b1cf262c14660d32388bc7362d9)
    Reviewed-on: https://code.wireshark.org/review/21925

commit e20b38b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 3 10:57:14 2017 -0700

    Get rid of #if 0'd out include.
    
    Change-Id: I0d996b03303572538d250ed8f27b04a0e93cf261
    Reviewed-on: https://code.wireshark.org/review/21921
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 69ed5d5841605c63cbe017a2a0006f4085b8bb23)
    Reviewed-on: https://code.wireshark.org/review/21922

commit 24d92a0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 3 10:32:44 2017 -0700

    Fix typo.
    
    Change-Id: If4ac286fed29635ec085f9671c77abf6ed22766d
    Reviewed-on: https://code.wireshark.org/review/21919
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit eaecf02aed0dc326bee363a0e9b9284d1c3d8d40)
    Reviewed-on: https://code.wireshark.org/review/21920

commit ea70dca
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 3 10:14:39 2017 -0700

    If has_snaplen isn't set, don't set the snapshot length with pcap_create()/pcap_activate().
    
    Just let libpcap pick the snapshot length; that way, for link-layer
    types that need a really large snapshot length, such as D-Bus (which
    requires 128MB for the largest messages), it can pick that, but can
    otherwise pick something that doesn't require as much memory, e.g.
    256KB.
    
    For pcap_open_live() and pcap_open(), which don't have a way of saying
    "give me what's appropriate", pick 256KB.
    
    Change-Id: Idef5694f7dfa85eaf3a61d6ca7a17d263c417431
    Reviewed-on: https://code.wireshark.org/review/21917
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 2814e3c9cd4d9393231a746b4ef1bb1e6b7d95c9)
    Reviewed-on: https://code.wireshark.org/review/21918

commit 91cc730
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Sat Jun 3 05:35:17 2017 +0100

    RADIUS: Fix gda9363e202
    
    EVS value was incorrectly typed from the non-extended type space.
    
    Now it should display as unknown.
    
    Ping-Bug: 13745
    Change-Id: I67cfa29d3edcd56e49c1f4eded117a26594f0a14
    Reviewed-on: https://code.wireshark.org/review/21911
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit c508932a60dcc44904bf91474ac3aab049026ebe)
    Reviewed-on: https://code.wireshark.org/review/21913

commit 21082d6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 2 19:38:11 2017 -0700

    Pass the file type, not the frame type, to cfile_dump_open_failure_message().
    
    Change-Id: I3c5e73d4e13106891001dfccd1568148a06329b4
    Reviewed-on: https://code.wireshark.org/review/21909
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit ae409ed545efd297d69378a6a612bfe2baa8c924)
    Reviewed-on: https://code.wireshark.org/review/21910

commit 53ed67c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Jun 2 21:49:39 2017 +0200

    netflow: use BASE_UNIT_STRING (units_seconds, units_microseconds)
    
    and fix also some typo
    
    Change-Id: I7892e715af56ebd1abb3fb36110200e2e992e9b1
    Reviewed-on: https://code.wireshark.org/review/21901
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit a27a308fcc84f3ea8745181c1c3f0b5def8c40ba)
    Reviewed-on: https://code.wireshark.org/review/21908

commit 1069a1d
Author: Lorenzo Vannucci <vannucci@ntop.org>
Date:   Tue May 30 07:31:51 2017 -0400

    netflow: ntop information elements update, added all missing
    items exported by nProbe.
    
    Change-Id: I476c970d1abb7e1776da01bbdbf74e255387c917
    Reviewed-on: https://code.wireshark.org/review/21825
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit b932b719ebe75d87e1009336f7795d55c129c838)
    Reviewed-on: https://code.wireshark.org/review/21907

commit 08e8449
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jun 2 15:48:08 2017 -0700

    Fixup the Windows library directory.
    
    Change-Id: I73649c7a51fb0a66cc4003426d23411b441d482a
    Reviewed-on: https://code.wireshark.org/review/21906
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit b1c9d3b
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jun 2 15:15:51 2017 -0700

    Initialize master-2.4.
    
    Change-Id: If82fbf5eb269e4177d39477c08d6ab29b43a73c0
    Reviewed-on: https://code.wireshark.org/review/21904
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 1420ef3
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Jun 2 22:05:10 2017 +0200

    Add ChaCha20-Poly1305 decryption support for TLS 1.2 and 1.3
    
    Implements all seven AEAD_CHACHA20_POLY1305 cipher suites from RFC 7905
    (for TLS 1.2) and the final missing one for TLS 1.3 (draft -20).
    
    New test captures (created using OpenSSL_1_1_0-pre6-2528-g042597b0a)
    also serve as tests for TLS 1.3 decryption support.
    
    Change-Id: Ice6d639c9c7b7bc23a6ff5fb4832d02694abd8c4
    Ping-Bug: 12779
    Reviewed-on: https://code.wireshark.org/review/21902
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 57b0527821b69dc8aa0786a3b5a425192795aff2)
    Reviewed-on: https://code.wireshark.org/review/21903

commit a86f660
Author: Robert Sauter <sauter@locoslab.com>
Date:   Fri Jun 2 08:04:50 2017 +0200

    IEEE 802.15.4: add missing increments for Header IEs
    
    Add missing offset increment for Header IEs with length (missing from
    https://code.wireshark.org/review/21472).
    
    Add missing increment so that the overall header tree spans all elements.
    
    Change-Id: I91515a0b6b5fca8bcc95ea9e2cbc791bddf0500d
    Reviewed-on: https://code.wireshark.org/review/21890
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a9a3bfa
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jun 2 10:18:50 2017 -0400

    Rename packet-netgear.c -> packet-netgear-ensemble.c
    
    This may not be the only Netgear protocol, so make a distinction.
    
    Change-Id: I68f460f44ac9345863468cfb407cec205a392d54
    Reviewed-on: https://code.wireshark.org/review/21900
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Charlie Lenahan <clenahan@sonicbison.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c4b87be
Author: Pau Espin Pedrol <pespin@sysmocom.de>
Date:   Fri May 12 11:40:04 2017 +0200

    gsm_osmux: Use proper sizes for struct osmux_hdr fields
    
    Change-Id: I93de7ffdbd3c43494bc6a5dd1f44f6f45d6b54f8
    Reviewed-on: https://code.wireshark.org/review/21617
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 197e48b
Author: Ahmad Fatoum <ahmad@a3f.at>
Date:   Fri Jun 2 11:34:55 2017 +0200

    packet-epl.c: Make dissector oss-fuzz friendly
    
    oss-fuzz invokes the dissector without IP layer, so we can't assume
    the IP address to be available when dissecting POWERLINK/UDP packets.
    Same goes for the "Exported PDU" functionality.
    
    Bug: 13756
    Change-Id: I038f0445ada3f764dcc72f7bce1d02cfa49791fb
    Reviewed-on: https://code.wireshark.org/review/21894
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c5ef5c1
Author: Nicolas Bertin <nicolas.bertin@al-enterprise.com>
Date:   Fri Jun 2 15:43:09 2017 +0200

    uaudp: added "SuperFast Connect" parameter to connect message (removes "Unknown" display)
    
    Change-Id: Ia686028e4a4472b18d362c010f802f351cd1b0ac
    Reviewed-on: https://code.wireshark.org/review/21899
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit f434820
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon May 29 21:49:26 2017 +0200

    TCAP: fix SRT analysis
    
    When reviewing the code, the following issues were identified:
    - otid/dtid on 3 bytes were not stored
    - when receiving the first continue from dest, the TC_END hash entry was
    created with the source tid / address instead of destination ones
    - when receiving the first continue from src, the logic could prevent
    the creation of the hash entry
    
    Bug: 13739
    Change-Id: If4ee70f0fa69f5ff74fdf75f3a741102baa0121a
    Reviewed-on: https://code.wireshark.org/review/21780
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6f255da
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Jun 2 10:52:56 2017 +0200

    ssl-utils: fix regression in decryption and Follow SSL Stream
    
    Store SslPacketInfo under the same key as used by p_get_proto_data and
    pass this data to the Follow SSL tap.
    
    Change-Id: If9b97d0e0e2a82562abe6cb9e61986744680066d
    Fixes: v2.3.0rc0-3740-ge1f84f985e ("Fix Decode As for protocols that may use tunneling.")
    Reviewed-on: https://code.wireshark.org/review/21893
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e4c1540
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Jun 2 13:14:05 2017 +0200

    Qt: Add version check for setTextInteractionFlags
    
    This property was introduced in Qt 5.1.
    
    Change-Id: I3446886d65fbeaf011a69071b605b044e5205b60
    Reviewed-on: https://code.wireshark.org/review/21895
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3eaa62d
Author: Ahmad Fatoum <ahmad@a3f.at>
Date:   Fri Jun 2 06:29:02 2017 +0200

    packet-epl.c: Prefix EPL UAT files with epl_
    
    Unlike preferences, UATs are stored in their own files, so prefexing file
    name with the protocol abbreviation makes sense to keep matters organized.
    
    Change-Id: Ic7918f509e38da38cdb86ad70917923547f9c112
    Reviewed-on: https://code.wireshark.org/review/21888
    Petri-Dish: Roland Knall <rknall@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Roland Knall <rknall@gmail.com>

commit 974f985
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 2 01:29:42 2017 -0700

    Add SUBOBJECT_INITIALIZER and use it.
    
    Just as we have OD_ENTRY_INITIALIZER, add SUBOBJECT_INITIALIZER, and use
    it rather than memset().
    
    Whether removing initializer warnings is a Good Thing is subject to
    debate; remove a comment that implies it's been deemed a Good Thing.
    
    Change-Id: Ife658d8bb1d4868789ca3b929aff6e4fccecb430
    Reviewed-on: https://code.wireshark.org/review/21892
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 10e59db
Author: Ahmad Fatoum <ahmad@a3f.at>
Date:   Fri Jun 2 07:44:22 2017 +0200

    packet-epl.c: Change CANopen Unicode_String to little endian
    
    CANopen DS301 defines "Unicode_String" as "ARRAY [ length ] OF UNSIGNED16"
    and states "For numerical data types the encoding is little endian style".
    
    Change-Id: I146449d7eaafe58b337b505682b14cd672f8ad76
    Reviewed-on: https://code.wireshark.org/review/21891
    Petri-Dish: Roland Knall <rknall@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Roland Knall <rknall@gmail.com>

commit 5a06efc
Author: Ahmad Fatoum <ahmad@a3f.at>
Date:   Fri Jun 2 06:12:31 2017 +0200

    packet-epl.c: Fixup missing initializer warnings
    
    macOS Buildbot doesn't like {0} (probably because GNU C already provides {}
    exactly for the purpose of initializing all members to zero/NULL/0.0.. etc)
    
    Affected local type definitions now have a static intializer macro that uses
    the correct amount of zeroes and braces (similar to PTHREAD_MUTEX_INITIALIZER)
    Global type definitions have a memset to zero (Which isn't strictly correct,
    but as the platforms we support all have all-bits-zero-nulls and IEEE 754
    floats, it should be good enough. A separate change will attempt to disable
    -Wmissing-field-initializers -Wmissing-braces globally and hopefully make
    these workarounds unnecessary.
    
    Change-Id: I30b0f679bbb8adb2dd7269c9f3bc19732e48212b
    Reviewed-on: https://code.wireshark.org/review/21887
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ae1aed9
Author: Piotr Tulpan <piotr.tulpan@netscan.pl>
Date:   Mon May 29 21:58:14 2017 +0200

    packet-rsl.c: add Encapsulating paging messages into a packet EP2192796 - proprietor Huawei
    
    Adding dissection RSL message that corresponds to patent EP2192796 owned by Huawei.
    
    Change-Id: I9fe32370d9b1330f78ac96c1203b6fde3f7784cd
    Reviewed-on: https://code.wireshark.org/review/21788
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f33eb1f
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jun 1 20:42:23 2017 -0400

    packet-ipp.c: Improve enum tag filtering
    
    Change-Id: I41249c832b96c8942b78b17983a493faf802f355
    Reviewed-on: https://code.wireshark.org/review/21886
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e1f84f9
Author: Irene Ruengeler <ruengeler@wireshark.org>
Date:   Mon May 8 09:04:16 2017 +0200

    Fix Decode As for protocols that may use tunneling.
    
    Dissectors that rely on pinfo structure information may have the
    data overwritten if the data is tunneled.  Address it by using
    proto data that is based on pinfo->curr_layer_num.
    
    Bug: 13746
    Change-Id: I1c29f26a3c49f368876f0e96908705bc9c099ce1
    Reviewed-on: https://code.wireshark.org/review/21559
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 653fc95
Author: Pau Espin Pedrol <pespin@sysmocom.de>
Date:   Wed May 10 20:24:56 2017 +0200

    gsm_osmux: Add support to follow Osmux streams and show its statistics
    
    Change-Id: I5262b3b1ac5a6f5bc6ac932eedbb889847131d9c
    Reviewed-on: https://code.wireshark.org/review/21601
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c65960f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 21 14:01:36 2016 +0100

    fb-zero: Add support of Zero Protocol
    
    Facebook uses a derivative of QUIC protocol (on top of TCP) for Android device
    The dissector was reverse engineered based off of QUIC dissector functionality
    
    Pcap avaliable https://github.com/ntop/nDPI/issues/300
    Some information (not spec) can be found here:
    https://code.facebook.com/posts/608854979307125/building-zero-protocol-for-fast-secure-mobile-connections/
    
    Change-Id: I4026bb992aa17a0c679379646b388a694f24a07f
    Reviewed-on: https://code.wireshark.org/review/18937
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 32f0d80
Author: Björn Ruytenberg <bjorn@bjornweb.nl>
Date:   Thu Jun 1 19:14:33 2017 +0200

    thread: Fix division by zero
    
    Perform sanity check on channel count. Channel count must be greater than zero
    to build energy measurements list from Energy List TLV [1]. Zero channel count
    results in a division by zero in dissect_thread_mc. Do not process Energy List
    TLV if zero.
    
    [1]: OpenThread implementation -
    https://github.com/openthread/openthread/blob/b89a9dfbc117a9c80e795700b67/include/openthread/commissioner.h#L158
    Energy List TLV contains energy measurements. If no channels are present, no
    energy measurements can exist.
    
    Bug: 13747
    Change-Id: I53a19dfbeae9ef0421c8c144ef3be4da28413ad3
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1979
    Reviewed-on: https://code.wireshark.org/review/21878
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 9a85e30
Author: Ahmad Fatoum <ahmad@a3f.at>
Date:   Thu Jun 1 11:11:18 2017 +0200

    packet-epl.c: Enhance dissection by ObjectMappings and device profiles
    
    Cyclic PDOs are setup either by ObjectMappings in the asynchronous SDOs,
    or by serialized ObjectMappings in device profile files.
    
    We now keep track of ObjectMappings transmitted via SDOs or read from
    XDC files and use those to correctly partition the PDO's payloads.
    
    Additionally types and descriptions for Object Directory entries extracted
    from the EDS and XDD profiles are used to select the correct Wireshark type
    and a string representation for those partitoned PDOs. Other places where
    indices and subindices are also enriched by this information.
    
    EDS support leverages GKeyFile and is available unconditionally, XDD/XDC
    parsing support depends on the availabilty of libxml2. A patch for
    inclusion of the latter as optional dependency was submitted
    as Change-Id: I13c0a2f408fb5c21bad7ab3d7971e0fa8ed7d783
    
    Electronic Data Sheet (EDS) is the CANopen standard for device profiles,
    POWERLINK being based on CANopen, is occasionly used with EDS profiles.
    
    XML Device Description (XDD) is the Ethernet POWERLINK standard for
    device profiles. XDC have the same structure but contain actualValues
    fields which can contain default ObjectMappings.
    
    XML Device Descriptions can be 25k+ lines with much duplication,
    so wmem_iarray_t is leveraged for saving space as well as faster lookups.
    
    A side-effect of now organizing the capture in conversations is that
    POWERLINK over UDP packets are now assigned proper destination and source
    node IDs, which are displayed in the column view. The Referenced bug where
    packets where erronously flagged as duplicates because the address wasn't
    considered is also fixed as a result.
    
    Bug: 13604
    Bug: 13749
    Change-Id: Ic33ff0be8f2eae7c24fe5877ad9258d1e550c227
    Reviewed-on: https://code.wireshark.org/review/21112
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit b2302d7
Author: Darien Spencer <cusneud@mail.com>
Date:   Wed May 31 11:14:45 2017 -0700

    FP - Moved RLC info retrieval for E-DCH channels
    
    Dissection method was receiving the RLC INFO struct as a paramter instead
    of using p_get_proto_data like other channels' dissection methods.
    
    Change-Id: Iaf44f71552526dcdf29b8a583b1d79012e2b24e3
    Reviewed-on: https://code.wireshark.org/review/21874
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 0a35c95
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 1 16:58:29 2017 +0200

    IEEE 802.15.4: add a missing offset increment in dissect_ieee802154_payload_mlme_sub_ie()
    
    Bug: 13751
    Change-Id: I33d9d51ba36ddb2caeee25612b613bc799c76339
    Reviewed-on: https://code.wireshark.org/review/21875
    Reviewed-by: Rémy Léone <remy.leone@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit f45924f
Author: Max Dmitrichenko <dmitrmax@gmail.com>
Date:   Wed Apr 19 17:31:32 2017 -0400

    dfilter: fvt_cache use g_hash_table_new_full() API to prevent some memory leaks
    
    Change-Id: I650c1eb1e98c7d2d2c9ec85bb6ec9b75667142a2
    Reviewed-on: https://code.wireshark.org/review/21230
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 83b0e43
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Jun 1 13:29:52 2017 +0200

    [GTPv2] Add "name" to IEs with Generic names in some cases.
    
    Bug: 13531
    Change-Id: I81edc081a508ab1e56b279ec1183066c4334dc10
    Reviewed-on: https://code.wireshark.org/review/21872
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c72c088
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Jun 1 10:57:05 2017 +0200

    prefs: Avoid empty elements in string lists.
    
    When parsing a comma-separated string list from file we should not
    add an empty element if this list is empty.  Otherwise we would
    get an empty string in when writing the file back.
    
    Change-Id: Iea5a33d20991f8c5daed6811beb8ec97b8b1dbe3
    Reviewed-on: https://code.wireshark.org/review/21870
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 561be48
Author: Ahmad Fatoum <ahmad@a3f.at>
Date:   Sat Apr 15 15:59:52 2017 +0200

    Add interval array data structure, with growable intervals
    
    A sorted array keyed by intervals
    You keep inserting items, then sort the array.
    sorting also compacts items that compare equal into one and adjusts
    the interval accordingly. find uses binary search to find the item
    
    This is particularly useful, if you got many similar items,
    e.g. ObjectMapping subindices in the XDD. XDDs can be upward of
    25k lines long with much duplication (253 subindices having the same
    content).
    
    Interval Trees wouldn't work, because they didn't allow expanding
    existing intervals. Using an array instead of a tree, additionally offers
    a possible performance advantage, but it's not that critical here,
    as finding should only happen in the async frames
    
    There's room for optimization in the creation process of the array,
    but it doesn't matter much, as they aren't created frequently.
    Finding speed is what matters for the use case of parsing EDS
    and XDD files
    
    Change-Id: Iaaddc90059f0e49b456774a111d8d42452b90cf9
    Reviewed-on: https://code.wireshark.org/review/21111
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 23a4a74
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Jun 1 11:14:23 2017 +0200

    Add a new feature to the release notes.
    
    Change-Id: I99dafc515ac70f7ed037c30936aceddd695d3525
    Reviewed-on: https://code.wireshark.org/review/21871
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 6751928
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Jun 1 09:20:38 2017 +0200

    Qt: Enable unhiding all interfaces.
    
    When having hidden interfaces it was not possible to unhide all
    in the "Manage Interfaces" dialog because prefs.capture_devices_hide
    was not updated when not having any hidden interfaces.
    
    This bug was introduced in g6eee29bf.
    
    Change-Id: If94c2e592eea60e6f1ef1ce2107ff9b2b27c3176
    Reviewed-on: https://code.wireshark.org/review/21869
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Roland Knall <rknall@gmail.com>

commit 6a37b54
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue May 30 11:57:06 2017 -0700

    Qt+prefs: Add a dark theme check and default colors.
    
    Add prefs_set_gui_theme_is_dark and call it in the WiresharkApplication
    constructor. Add a set of dark syntax color defaults.
    
    We could alternatively add a preference for the syntax foreground color,
    but that would imply adding a preference for the background color as
    well.
    
    Bug: 11131
    Bug: 13738
    Change-Id: Iefe135ed04e63372ed434c5b9759647c9f4046e3
    Reviewed-on: https://code.wireshark.org/review/21827
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9719bac
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed May 31 15:45:59 2017 +0200

    cmake: Add -Wshorten-64-to-32 for C++ when using Qt >= 5.9
    
    The warnings has been fixed in Qt 5.9.
    
    Change-Id: I7cc71612e601517b7d7117c3cf2711ec983593a6
    Reviewed-on: https://code.wireshark.org/review/21861
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit dc7b9cd
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed May 31 21:34:55 2017 +0200

    Qt: Disable -Wframe-larger-than= for ui_main_window.h
    
    The generated Ui_MainWindow::setupUi() can grow larger than our configured
    limit, so turn off -Wframe-larger-than= for ui_main_window.h.
    
    Change-Id: I550ff30ebe566b711c63f7a9d0276e5b06244407
    Reviewed-on: https://code.wireshark.org/review/21866
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 6607be7
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri May 26 15:55:08 2017 +0200

    debian: remove imagemagick and demote xdg-utils deps
    
    imagemagick was needed since v1.11.1-rc1-140-g02a8e72b43, but
    unnecessary since v2.1.0rc0-491-g18a54fcaa4, remove it.
    xdg-utils is needed for xdg-open (opening websites) at runtime in GTK+,
    but not for Qt nor during the build, remove it or mark it as optional.
    
    Change-Id: I6fc4d5fb61ea8b5cf79526d92ef8c108bc9d11a3
    Reviewed-on: https://code.wireshark.org/review/21765
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 855a05c
Author: Ahmad Fatoum <ahmad@a3f.at>
Date:   Tue May 30 22:25:23 2017 +0200

    packet-epl.c: Fix bounds error on malformed packet
    
    dissect_epl_payload is called with len retrieved from the packet payload,
    so we've to ensure there are indeed at least len bytes remaining in the tvbuff.
    
    Counting the remaining bytes has to start from the _current_ offset, not from
    the start of the buffer.
    
    Change-Id: I6f4a94e8503cde6c5eaadc43f560c15ef8c1c375
    Reviewed-on: https://code.wireshark.org/review/21829
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Roland Knall <rknall@gmail.com>

commit 7f96ffe
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed May 31 20:52:34 2017 +0200

    Qt: Capitalize "Select SACKs" in tcptrace graph.
    
    Change-Id: I2d0b433fec482431f6ccfe6f8fe6576193fc7773
    Reviewed-on: https://code.wireshark.org/review/21863
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 1529966
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed May 31 15:44:34 2017 +0200

    Qt: Add cast to QByteArray.resize()
    
    Change-Id: I651cf6e625b8c757820a1e879f3fbde99746ba88
    Reviewed-on: https://code.wireshark.org/review/21860
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit a092eaa
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed May 31 07:37:24 2017 +0200

    80211 (prism): fix conflict for hf field
    
    Remove hf_ieee80211_prism_did_sig_rate.
    
    Change-Id: Id75deae2c074ecbb771e33c4a6f3855cb2ba9d9f
    Reviewed-on: https://code.wireshark.org/review/21848
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a95b72e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 31 10:02:21 2017 -0700

    Sort the RADIUS dictionaries and account for a rename of one of them.
    
    Change-Id: Ieea5349a38366a68cd313e70c8f1d28828982d7b
    Reviewed-on: https://code.wireshark.org/review/21862
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8da1ac2
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed May 31 07:35:56 2017 +0200

    acn: fix conflict for hf field
    
    Turn hf_magic_reply_invalid_type in an expert info.
    
    Change-Id: I6eeb5590e3d620ebb5afe46eae36cba6784033a4
    Reviewed-on: https://code.wireshark.org/review/21847
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c9ceb71
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Nov 2 08:10:06 2016 +0100

    debian: add lintian-overrides for libwireshark0
    
    Remove last lintian issue
    
    Change-Id: I672b347a8b0fc495b6e010ef987c0ff238eb8d1e
    Reviewed-on: https://code.wireshark.org/review/18622
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ae65b8f
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed May 31 14:00:27 2017 +0200

    UMTS FP: backout part of g899fd42
    
    The delay for p_add_proto_data() calls was not required and introduced several
    bugs (when the function returns before private info is attached).
    
    Change-Id: Id3a668e6776308b2ea758940e4260bfcbddc236a
    Reviewed-on: https://code.wireshark.org/review/21859
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit dcba264
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed May 31 07:56:09 2017 +0200

    lemon: avoid redundant redeclaration of ‘memory_error’ [-Wredundant-decls]
    
    Change-Id: I1fbc11dc433363b659ddba9a77e52ffd4e3968d7
    Reviewed-on: https://code.wireshark.org/review/21850
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 300458b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed May 31 07:53:19 2017 +0200

    opcua: fix no previous prototype for ‘parseNodeClassMask/parseResultMask’ [-Wmissing-prototypes]
    
    Change-Id: If57183bcea978b766fc53f691a35c4ddf98ca2dd
    Reviewed-on: https://code.wireshark.org/review/21849
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8dbd4c6
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Wed May 31 12:13:56 2017 +0100

    Fix nsis intaller
    
    The radius erx disctionary has been renamed to unisphere.
    
    Change-Id: I3d8a4b9d8f6a5340f3a92274816e66bdaa55ffd3
    Reviewed-on: https://code.wireshark.org/review/21858
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 7aec952
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 31 02:38:38 2017 -0700

    Sort the dictionary.* files.
    
    Change-Id: Iad4457cc17f3e6a5b092d8050a0d1cc541efb2a3
    Reviewed-on: https://code.wireshark.org/review/21856
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0082f59
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 31 02:32:55 2017 -0700

    Rename dictionary.erx to dictionary.unisphere and pick up the FreeRADIUS version.
    
    This picks up
    
        commit a5ad82aecc194f5f55153c351a62af9bb1c222a0
        Author: Arran Cudbard-Bell <a.cudbardb@freeradius.org>
        Date:   Sat Dec 7 23:24:20 2013 +0000
    
            Fully sync ERX/Unisphere with Juniper's dictionaries
    
    as well as picking up the copyright notice.
    
    Change-Id: Ia6a694ccd94ad05caf25bea4dec9b467a4f99157
    Reviewed-on: https://code.wireshark.org/review/21855
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8e72764
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 31 01:22:16 2017 -0700

    Update a comment.
    
    We now support dotted number values in the oid field.
    
    Note that the attribute flags internal, array, concat, and virtual
    aren't documented in the FreeRADIUS dictionary man page.
    
    Change-Id: Iaf27845f75a93f2d006708224757ea48d8023cb1
    Reviewed-on: https://code.wireshark.org/review/21853
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit bb5b0fb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 31 01:18:22 2017 -0700

    Give more information in a comment.
    
    Change-Id: I43efd124bc49bc3d1261bd690ce38c5debb94e45
    Reviewed-on: https://code.wireshark.org/review/21852
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 012f657
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 31 00:51:48 2017 -0700

    Update to the FreeRADIUS version.
    
    Picks up the copyright notice, cleans up white space, puts the type and
    the properties of attributes in separate fields.
    
    Change-Id: I1a813a784498ed3217c7fc9bfcd9c1162ceffebb
    Reviewed-on: https://code.wireshark.org/review/21851
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 870e08a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 20:34:21 2017 -0700

    Update to the FreeRADIUS version.
    
    Picks up the copyright notice and a commented-out attribute.
    
    Change-Id: I0325164eb3875557f7ce9a81cf697a99a0f5de93
    Reviewed-on: https://code.wireshark.org/review/21846
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit beb9b08
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 20:32:24 2017 -0700

    Update to the FreeRADIUS version.
    
    Picks up the copyright notice and a value.
    
    Change-Id: I99957b97cf905b9d13024f70b76e875756e71609
    Reviewed-on: https://code.wireshark.org/review/21845
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 503acf0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 20:30:02 2017 -0700

    Update to the FreeRADIUS version.
    
    Picks up a copyright notice, a comment, and some attributes.
    
    Change-Id: I299a4f1225eb6be23410c396a4f5a00affd64523
    Reviewed-on: https://code.wireshark.org/review/21844
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0735d2b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 20:26:15 2017 -0700

    Update to the FreeRADIUS version.
    
    Picks up the copyright notice and an additional attribute.
    
    Change-Id: Ieebed5ceae7a10bf393245d9fcf82310df6c42d9
    Reviewed-on: https://code.wireshark.org/review/21843
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit af2e94b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 20:24:31 2017 -0700

    Update to the FreeRADIUS version.
    
    Picks up the copyright notice, a comment, and an attribute.
    
    Change-Id: I9b0c536646860f0d4e6e7f59967db22d592fc1c4
    Reviewed-on: https://code.wireshark.org/review/21842
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8c1e4c8
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 20:22:12 2017 -0700

    Update to the FreeRADIUS version.
    
    Picks up the copyright notice, a comment, and an additional attribute.
    
    Change-Id: Ie65dcb039c725a63d1a9b6976814c182e10c74cb
    Reviewed-on: https://code.wireshark.org/review/21841
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5d6c980
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 20:20:05 2017 -0700

    Merge with the FreeRADIUS version.
    
    Pick up copyright notice and some additional attributes, along with
    BEGIN-VENDOR and END-VENDOR.
    
    Change-Id: Ifa0112a0bfc56f5977bffd6a32b12d1c1a089529
    Reviewed-on: https://code.wireshark.org/review/21840
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 065d719
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 20:10:20 2017 -0700

    Update to the FreeRADIUS version.
    
    Picks up the copyright notice and some more attributes.
    
    Change-Id: I594d8f72913fce3836db1935a3689d60a5a3f2ba
    Reviewed-on: https://code.wireshark.org/review/21839
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 669f4c9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 20:08:55 2017 -0700

    Update to the FreeRADIUS version.
    
    Picks up the copyright notice and some additional attributes.
    
    Change-Id: I4a942512f62d91d98dcbf4ccba65ff97b6a729c9
    Reviewed-on: https://code.wireshark.org/review/21838
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6b3c21f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 20:05:54 2017 -0700

    Update to the FreeRADIUS version.
    
    Picks up the copyright notice and adds some attributes and values.
    
    Change-Id: If24d00ceb23002aea2c24c16a7b38fd77df9401a
    Reviewed-on: https://code.wireshark.org/review/21837
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 81d3e49
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 20:03:37 2017 -0700

    Update to the FreeRADIUS version.
    
    Picks up the copyright notice and new attributes and values, and renames
    a few values to remove "-HW".
    
    Change-Id: Iccf3938f54fab8b234ee49b509fdcc8a3cfba670
    Reviewed-on: https://code.wireshark.org/review/21836
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4e2aeae
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 19:40:53 2017 -0700

    Update to the FreeRADIUS version.
    
    It moves an attribute.
    
    Change-Id: I9f3c88f174b9520b16d3f2c68abe278ef695d403
    Reviewed-on: https://code.wireshark.org/review/21835
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e42a9b8
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 19:38:06 2017 -0700

    Update to the FreeRADIUS version.
    
    Change-Id: I8af7ec1ec6ee2c44cddd4ed91a95039bcce3bd5e
    Reviewed-on: https://code.wireshark.org/review/21834
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 29f8ef3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 19:36:01 2017 -0700

    Update to the FreeRADIUS version.
    
    Give a URL for the Extreme Networks documentation listing these
    attributes, replacing our earlier citation; the newer version says
    attribute 213 is Extreme-VM-Name, as is the case in the FreeRADIUS
    version, not Extreme-CLI-Profile, as was the case in our version.
    
    Change-Id: Iddd69c2ef4d3a5d55f16c20f3899eebdea217a2a
    Reviewed-on: https://code.wireshark.org/review/21833
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 565664c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 19:24:21 2017 -0700

    Update to the FreeRADIUS version.
    
    This file is mainly for supporting older names for certain attributes
    and values; all the attributes and values here should be defined by
    other files, so we really shouldn't be including this file.
    
    Change-Id: I2e5391f0ed14d42e97434b77794e8ba643850608
    Reviewed-on: https://code.wireshark.org/review/21832
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6769ff4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 19:16:17 2017 -0700

    Merge with the FreeRADIUS version.
    
    Pick up the copyright notice and some additional attributes/values, and
    mark some attributes as no longer being Wireshark additions.  Change
    some names to match the FreeRADIUS names.
    
    Mark some URLs as dead links, and try to supply replacements; use the
    Wayback Machine for others.
    
    Preserve our fixes and enhancements.
    
    Change-Id: I000cf05682506ed0db9b0fff856998479ee0dfa4
    Reviewed-on: https://code.wireshark.org/review/21831
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 93f42b2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 30 12:43:17 2017 -0700

    Merge with the FreeRADIUS version.
    
    Pick up their copyright notice and additions.
    
    Replace links used as references.
    
    Our version is now their version with some additional comments and
    different links (replacing broken links with non-broken ones).
    
    Change-Id: I785d14f537abd96cd7baa3438191e1371e34ebc0
    Reviewed-on: https://code.wireshark.org/review/21828
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6c44f20
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri May 26 07:52:17 2017 -0400

    Qt: Add support to verify extcap capture filter
    
    Bug: 11668
    Change-Id: Ib218d87c1905e53ffdab4e3dd6f93ba2c3d07c8b
    Reviewed-on: https://code.wireshark.org/review/21770
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Roland Knall <rknall@gmail.com>

commit 44327d8
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue May 30 13:53:16 2017 +0200

    [GTP] Update cause values.
    
    Change-Id: Ic9b0ccf045169de676b95c4b85a8d0e1e21e2cb4
    Reviewed-on: https://code.wireshark.org/review/21826
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1902204
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue May 30 13:31:14 2017 +0200

    [Diameter 3GPP] Add subdissection of AVP 1679 AIR-Flags
    
    Change-Id: I783385b85cfb67d3b0d4affc82a6071e4de51062
    Reviewed-on: https://code.wireshark.org/review/21824
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9b24ffc
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun May 28 20:24:52 2017 -0400

    Add Inovar specific Diameter AVP codes
    
    Bug: 13349
    Change-Id: I2a06ee3bd7ab1f81414ad8e4155c1430a7287644
    Reviewed-on: https://code.wireshark.org/review/21778
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 899fd42
Author: Darien Spencer <cusneud@mail.com>
Date:   Thu May 25 19:05:24 2017 +0300

    FP - Checks to avoid NULL dereferencing
    
    Making sure channel specific structs are not null
    
    Change-Id: I9f979db4e24bb7bd490cf29a5c68ef32d1b029db
    Reviewed-on: https://code.wireshark.org/review/21754
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 2f037e1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 21:04:07 2017 -0700

    Update to the FreeRADIUS version.
    
    Pick up copyright notice, comment tweaks, additional attributes.
    
    Change-Id: I16f1683febff5286d5698aaf513c5dc0eb169b15
    Reviewed-on: https://code.wireshark.org/review/21823
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9c7b8b4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 20:58:25 2017 -0700

    Update to the FreeRADIUS version.
    
    Update copyright notice, fix typo in comment.
    
    Change-Id: Ida68691847e4e9aa80a15a25580e2657d0763bb3
    Reviewed-on: https://code.wireshark.org/review/21822
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b13833d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 20:56:15 2017 -0700

    Update to FreeRADIUS version.
    
    Pick up copyright notice, more attributes and values.
    
    Change-Id: I83d99cf191c198ced4a1093d5e17a793ae9d38d6
    Reviewed-on: https://code.wireshark.org/review/21821
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b30dd5a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 20:54:40 2017 -0700

    Update to FreeRADIUS version.
    
    Pick up copyright notice, fix typoes.
    
    Change-Id: I428b5d8657ca2fba1ae0072bb4d5793025b0855f
    Reviewed-on: https://code.wireshark.org/review/21820
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 59ba8bd
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 20:51:22 2017 -0700

    Update to the FreeRADIUS version.
    
    Copyright notice, white space cleanups, additional attributes.
    
    Change-Id: I5e52b40ad08dc11722e16fbe927ec8f0f6fed7cd
    Reviewed-on: https://code.wireshark.org/review/21819
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7c5a3d7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 20:22:57 2017 -0700

    Update to FreeRADIUS version.
    
    Pick up copyright, whitespace cleanups, put UKERNA- in front of some
    attributes with the same name as RFC 7055 attributes, add some
    additional attributes.
    
    Change-Id: Iad05b3c83c37185bdd18be208fd2e1878b950a0e
    Reviewed-on: https://code.wireshark.org/review/21818
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d8456e1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 20:15:28 2017 -0700

    Update to FreeRADIUS version.
    
    Adds copyright notices, cleans up whitespace, picks up typo fixes.
    
    Change-Id: I9f0583d6d488c2b494c2e651b850bb4226cd6085
    Reviewed-on: https://code.wireshark.org/review/21817
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d7f6029
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 20:11:48 2017 -0700

    Note that our dictionary.iea has stuff FreeRADIUS's doesn't.
    
    Change-Id: I43844691c8bfcd6f8fcd223fd26ee9e0373f2deb
    Reviewed-on: https://code.wireshark.org/review/21816
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 404f803
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 20:09:13 2017 -0700

    Merge with FreeRADIUS version.
    
    Pick up the copyright notice, whitespace changes, and other comment
    changes.
    
    Add a comment giving the Wireshark bug whence the additional entries
    came.
    
    Change-Id: Ibc188640efe73ca2f53d84bf995b5d7bf34752f9
    Reviewed-on: https://code.wireshark.org/review/21815
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7f37a87
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 20:02:45 2017 -0700

    Update to current FreeRADIUS version.
    
    Change-Id: I86ce4ed13bfd7e87ccdd282e51e8500fbdc9dded
    Reviewed-on: https://code.wireshark.org/review/21814
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3ba902e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 19:54:30 2017 -0700

    Fix whitespace to match FreeRADIUS version.
    
    Change-Id: I406b47f3907745504f49644a890a3588eabf7c0b
    Reviewed-on: https://code.wireshark.org/review/21813
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e4c1f58
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 19:47:55 2017 -0700

    Fix white space to match FreeRADIUS.
    
    Change-Id: Ie814a790c15381036ba6bdb1d066012bb15bfb33
    Reviewed-on: https://code.wireshark.org/review/21812
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit efcf07c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 19:36:46 2017 -0700

    Merge with FreeRADIUS.
    
    They changed some names and added an attribute.
    
    They also removed Aruba-AP-Name with no obvious indication of why; we
    leave it in for now.
    
    Give new URLs for attribute lists.
    
    Change-Id: I270573b7d29f47572042abe46e4a531003e6a48e
    Reviewed-on: https://code.wireshark.org/review/21811
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7e60677
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 19:18:03 2017 -0700

    Merge with FreeRADIUS and update.
    
    Pick up the copyright notice and $Id value.
    
    Don't double-comment-out the items we handle in
    packet-radius_packetcable.c; they're already commented out in the
    FreeRADIUS version, and that reduces the number of differences between
    us and them.  Note in a comment before them that we're handling them in
    packet-radius_packetcable.c.
    
    Add a comment pointing at various CableLabs specs before the attributes,
    noting where in the specs they're mentioned. (Hint: NOT in a section
    about RADIUS!  I guess the idea is that some protocol *other* than
    RADIUS can be used to transfer them.)
    
    Change-Id: Ib16fb10df9a434f79a05ce0537c671076aff11a2
    Reviewed-on: https://code.wireshark.org/review/21810
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1a8991e
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Mon May 29 22:23:49 2017 +0100

    sharkd: Fix build using system Speex library (autotools)
    
    Change-Id: I1798f3dc76704c646d67d11533f8dc32ebab7401
    Reviewed-on: https://code.wireshark.org/review/21793
    Petri-Dish: João Valverde <j@v6e.pt>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: João Valverde <j@v6e.pt>

commit 7c2073a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 18:29:55 2017 -0700

    Fix capitalization of "WiMAX" in END-VENDOR.
    
    Change-Id: I35e30b824b9ed8debfbb6a05d72b2396f7132204
    Reviewed-on: https://code.wireshark.org/review/21809
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c90fa03
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 18:18:01 2017 -0700

    Update item for dictionary.airespace.
    
    Change-Id: I5bacf0700a6bac4204a322d60812d5ece7a73be0
    Reviewed-on: https://code.wireshark.org/review/21808
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit fb0bf75
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 18:15:39 2017 -0700

    Merge with the FreeRADIUS version.
    
    Pick up the copyright notice and other comments.
    
    Update the list of URLs, and include the new attributes as copied from
    the Cisco support forum article.
    
    Change-Id: I5f8c8833fa88e2538f3132c85a4baa4c8691eccb
    Reviewed-on: https://code.wireshark.org/review/21807
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3315412
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 17:26:08 2017 -0700

    dictionary.h3c is now the same as the FreeRADIUS one.
    
    Change-Id: I0fe227ce7c0e8a3010c6d74eb8f511dd4986aba8
    Reviewed-on: https://code.wireshark.org/review/21806
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f3a23a6
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon May 29 22:52:02 2017 +0200

    WSDG: trivial: fix a link
    
    Asciidoc will just create a link from a URL that appears in the text. If
    we want the link to appear as an address without a description, there's
    no need to add an empty description. We should, however, have a space
    behind the link to separate it from the text that follows.
    
    Change-Id: Ic01b1dbbea922d785776f1965481ed58f389e30a
    Reviewed-on: https://code.wireshark.org/review/21789
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c299afe
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun May 28 11:26:05 2017 +0300

    gif: expert info for unknown data block type
    
    Before this patch, the dissector would assume that any data block type
    that is unknown must be the trailer byte. Check explicitly if we have a
    trailer byte and bring up an expert info for unknown data block types.
    
    Change-Id: I4c3087eb403e2e668a22628062edd0240309a2bc
    Reviewed-on: https://code.wireshark.org/review/21790
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 346d16d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 16:49:56 2017 -0700

    Another update from FreeRADIUS.
    
    Picks up copyright notice and
    
      commit 803477f565678f56bac8739aab0b11e0fdf0ff13
      Author: Mathieu Simon <mathieu.simon@simweb.ch>
      Date:   Mon Jan 20 16:04:17 2014 +0100
    
          Extend the H3C dictionary based on public manuals
    
          Try to extend the H3C dictionary based on what is scattered on
          their pages. At least most of it is found quite consistently in
          the product-specific "Security Configuration Guides".
    
          This compilation/crosschecking is based H3C documentation for
          listed devices:
          - H3C S12500 and S6800 Switches
          - H3C WA WLAN Access Points
          - H3C MSR Routers
    
          Remarks:
          Does not stick with H3C's use of of underline in attribute naming.
    
      commit 3046419a3a40d0146cea18083c496703b965d8c4
      Author: Mathieu Simon <mathieu.simon@simweb.ch>
      Date:   Mon Jan 20 14:56:00 2014 +0100
    
          Revisit H3C Exec-Privilege
    
          Try to match H3C terminology as close as to their documentation.
    
          - The Attribute name seems to not exactly match documentation,
            found consistently user i.e. in:
            - H3C S12500: Configurations Guides
            - H3C WA Series: Security Configuration Guide
    
          - Rename privilege levels to match H3C's documentation
            (previously likely more 3Com-ish). The levels naming
            are being used consistently mentioned throughout:
            - H3C SecPath F1000-E: Operational Manual
            - H3C S5500-SI: Operation Manual
    
      commit 6182027784b9a81af57f9e0e76bc80c94b2ba692
      Author: Arran Cudbard-Bell <a.cudbardb@freeradius.org>
      Date:   Sun Jan 19 22:45:58 2014 +0000
    
          Add H3C HW-Exec-Privilege as posted by Mathieu Simon
    
    Change-Id: I06d14266a5a60fdeb8ccf9d780db9526df86e5e3
    Reviewed-on: https://code.wireshark.org/review/21805
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3ac3ca7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 15:57:31 2017 -0700

    dictionary.freeswitch is now the same as the FreeRADIUS one.
    
    Change-Id: I885104eeb2a42a7bceb912f3bb437f48a8836c57
    Reviewed-on: https://code.wireshark.org/review/21804
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f0cb10d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 15:51:11 2017 -0700

    dictionary.nortel is now from the v4.0.x FreeRADIUS branch.
    
    Change-Id: I4b6d4e7cce3e2e5a31d60aeeaa392c816f616f8e
    Reviewed-on: https://code.wireshark.org/review/21803
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 29585b1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 15:49:31 2017 -0700

    Another update from FreeRADIUS.
    
    Picks up
    
      commit c329540701fecbd4ec0ca995a8cdafb907aca60a
      Author: Alan T. DeKok <aland@freeradius.org>
      Date:   Mon Feb 13 20:59:29 2012 +0100
    
          Added User-Role attribute
    
    and adds copyright information.
    
    Change-Id: I293213e39cf5b8fd44956e5a2b0c0153eb4243df
    Reviewed-on: https://code.wireshark.org/review/21802
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit bae9b56
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 15:45:20 2017 -0700

    dictionary.eltex is now from FreeRADIUS.
    
    Change-Id: Ic871389d71ac5b9a78d7a2023425df1acbd93447
    Reviewed-on: https://code.wireshark.org/review/21801
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ca0ea37
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 15:44:08 2017 -0700

    Another update from FreeRADIUS.
    
    Includes
    
      commit 3128d4f1b562ddbcf3b2db2a54659be79f953262
      Author: Alan Buxey <alan.buxey@gmail.com>
      Date:   Sun Jul 21 23:01:57 2013 +0100
    
          more spelling issues cleared
    
    from FreeRADIUS.
    
    Change-Id: I94cc842306b5d0329eb3981acdee63dd877abff8
    Reviewed-on: https://code.wireshark.org/review/21800
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8cdaaa2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 15:40:04 2017 -0700

    Another update from FreeRADIUS.
    
    Copyright, whitespace changs, adds missing END-VENDOR.
    
    Change-Id: I1219f83a99e4ebee3af70498848a0b440c6c3bc1
    Reviewed-on: https://code.wireshark.org/review/21799
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3bc2a60
Author: Piotr Tulpan <piotr.tulpan@netscan.pl>
Date:   Tue May 30 00:13:26 2017 +0200

    packet-rsl.c: fixed emlpp priority bit range
    
    Based on 3GPP TS 48.058 eMLPP Priority takes bits 1-3 not 1-2.
    There is also decalred value_string rsl_emlpp_prio_vals (line 2605)
    that contains 8 values not 4 as expected for 1-2 bits.
    
    Change-Id: Iea77f8dbff9af3b25fd298f1a9703c1e34c06d30
    Reviewed-on: https://code.wireshark.org/review/21797
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 8b5ee12
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 15:30:46 2017 -0700

    More updates from FreeRADIUS.
    
    Picks up copyright notices, comment changes, and whitespace cleanups.
    
    Change-Id: I42a265bb1f835bfa6cc1f6090d612b7a731f1b1a
    Reviewed-on: https://code.wireshark.org/review/21798
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f143ece
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 15:14:27 2017 -0700

    Update from FreeRADIUS.
    
    See
    
        http://www.urbandictionary.com/define.php?term=authentification
    
    Change-Id: Ia9756b160fc9a144a6fff1e51b6abb743faa4f69
    Reviewed-on: https://code.wireshark.org/review/21796
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 36a91d3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 14:55:16 2017 -0700

    Copy over some comment-and-whitespace-only changes from FreeRADIUS.
    
    This adds copyright notices and makes other cleanups.
    
    Change-Id: I5975b563dffd704a336160d08efde42203c81676
    Reviewed-on: https://code.wireshark.org/review/21795
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5c3a1fa
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 14:38:52 2017 -0700

    Sync up again.
    
    They also fixed up the whitespace.
    
    Change-Id: I44eb94bccfd24c027930b7e385255fbec7ca0431
    Reviewed-on: https://code.wireshark.org/review/21794
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7a122a1
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 29 19:03:37 2017 +0200

    radius: Sync with FreeRADIUS
    
    add Dell EMC dictonary
    
    commit 2b2a7dc5654abf740ff7ffb52fc0807a5e0f1781
    Author: Alan T. DeKok <aland@freeradius.org>
    Date:   Wed May 24 15:55:05 2017 -0400
    
        as posted to the list
    
    Change-Id: If3e7e7f401c6f1eca5292f0f323c2cd86dfd3fcc
    Reviewed-on: https://code.wireshark.org/review/21787
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5d27b74
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 14:23:21 2017 -0700

    Put back whitespace cleanups.
    
    (I'll send those to the FreeRADIUS people.)
    
    Change-Id: I9163c2710e2924e657b19f2d48bd310bb805244c
    Reviewed-on: https://code.wireshark.org/review/21792
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 32c9b44
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 29 14:21:50 2017 -0700

    Copy over the file from the current FreeRADIUS.
    
    That adds the FreeRADIUS copyright notice.
    
    Change-Id: Id6e05214a59b0fcf31e2c0f5ccd4a31632c08459
    Reviewed-on: https://code.wireshark.org/review/21791
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b521c77
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 29 18:57:40 2017 +0200

    RADIUS: sync with FreeRADIUS
    
    commit 766b61dc2b6a75ce66819891ae4d3dcf2d6954ed
    Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Date:   Mon May 29 16:56:02 2017 +0000
    
        dictionary.patton: fix indent
    
        using ./format.pl
    
    commit 1c0c6d24953203417c18dbc7d02688d990c6d3d4
    Author: Brice Schaffner <brice.schaffner@gmail.com>
    Date:   Thu May 11 10:05:24 2017 +0000
    
        Added missing Patton Vendor Attributes
    
        Added some new Patton Vendor Attributes to the list.
        These attributes are now supported on the newest Patton device running on Trinity software version 3.11.2.
    
    Change-Id: I4e1de392886494418e2e44d7f7a935c96a6f8425
    Reviewed-on: https://code.wireshark.org/review/21786
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4e05adc
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon May 29 11:30:16 2017 -0400

    GTK: Bugfix not allowing extcap capture filters to be verified.
    
    Matches Id45052f21ebb290bf92c201370584156a65f2e19
    
    Change-Id: I2b097d176ec3ce0637af95d66d2f58b834c79ea2
    Reviewed-on: https://code.wireshark.org/review/21783
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b988d8b
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Fri Jan 6 21:49:50 2017 -0500

    Fix up dissector tables' UI names.
    
    This was inspired by using the Decode-As UI to decode Field "SSL TCP Dissector"
    Value (port) XXX as YYY.  "SSL Port" makes more sense as the UI name.
    
    Change-Id: Id6398a5dc79e32bddc4f1bfcf0a468ae1364808f
    Reviewed-on: https://code.wireshark.org/review/19573
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0a3df90
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun May 28 08:55:15 2017 -0400

    Extend display filter len() to support all string and byte field types.
    
    len() can now handle FT_STRING, FT_STRINGZ, FT_STRINGZPAD,
    FT_UINT_STRING, FT_BYTES, and FT_UINT_BYTES
    through the use of fvalue_length()
    
    Change-Id: I53baf2657f7804f64e63e4645d0b84b782ae9b08
    Reviewed-on: https://code.wireshark.org/review/21775
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 10d7e39
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon May 29 08:51:30 2017 +0200

    Qt: Fix capture filter verification for non-extcap interfaces.
    
    Change-Id: Id45052f21ebb290bf92c201370584156a65f2e19
    Reviewed-on: https://code.wireshark.org/review/21777
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d3af161
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 28 20:12:16 2017 -0700

    Update some comments.
    
    We're no longer commenting out dictionary.rfc6929 or dictionary.rfc6930,
    as we now support those extensions.
    
    Make other comments more closely resemble the tip of the master branch
    in FreeRADIUS.
    
    Change-Id: I19144bc6c6ff478d6637bf9679df2c737db82186
    Reviewed-on: https://code.wireshark.org/review/21779
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 39edfaa
Author: Robert Grange <robionekenobi@bluewin.ch>
Date:   Wed May 24 17:04:05 2017 +0200

    packet-mq: Handle MQV902
    
    Add various new defines for WMQ902
    
    Change-Id: I2000f35a01e484d2e4665d1fe4a91a74f6c33236
    Reviewed-on: https://code.wireshark.org/review/21747
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 866178e
Author: Pau Espin Pedrol <pespin@sysmocom.de>
Date:   Tue May 9 14:04:18 2017 +0200

    GTK+Qt: Show Osmux Packet Counter on Telephony menu
    
    Change-Id: I565b0d2d43dd98781f77a302a20bd841e3e4650e
    Reviewed-on: https://code.wireshark.org/review/21598
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 24d991d
Author: Jim Young <jyoung@gsu.edu>
Date:   Sun May 28 01:11:46 2017 -0500

    Fixup support of BASE_UNIT_STRING for 64 bit based integer fields
    
    proto.c’s proto_custom_set() was missing a test for
    BASE_UNIT_STRING under the 64 bit based integer case.  Any
    custom columns sourced from a field stored in a 64 bit integer
    and having the BASE_UNIT_STRING attribute would only display the
    units but not the actual number.
    
    With this patch 64 bit based integer fields having the
    BASE_UNIT_STRING attribute will now properly display both
    their value and units when added to the packet list as a
    custom column.
    
    Change-Id: Icb9532771eb2f4098891dedd82886fd6223ce7a6
    Reviewed-on: https://code.wireshark.org/review/21771
    Petri-Dish: Jim Young <jim.young.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 827cb68
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri May 26 09:03:25 2017 -0400

    proto_tree_add_bytes_format[_value] can handle NULL trees
    
    v2.3.0rc0-3618-gd962e7ae71 tried to simplify logic, but missed
    use of TRY_TO_FAKE_THIS_REPR.  Create a "friendlier" version
    TRY_TO_FAKE_THIS_REPR_NESTED which allows for the "base"
    proto_tree_add_xxx to be called in proto_tree_add_xxx_format[_value]
    functions.
    
    Bug: 13736
    Change-Id: I98883ad4581d2327edb8da5efd8ef8a89b55e3d0
    Reviewed-on: https://code.wireshark.org/review/21764
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3ae7755
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Thu May 25 19:11:46 2017 +0100

    RADIUS: Add Vendor ID, Vendor Type and Vendor Length fields
    
    Change-Id: I241bfb5d77374d8dd1428fb550d9e913a2d3570a
    Reviewed-on: https://code.wireshark.org/review/21756
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit cf93801
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 28 16:10:04 2017 +0200

    proto.c : fix indent
    
    Change-Id: Ib2f9b7bee59d6fa60972df7adf7caaaf9921d975
    Reviewed-on: https://code.wireshark.org/review/21776
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 31fa054
Author: Benoît Canet <benoit@scylladb.com>
Date:   Sun May 7 14:01:18 2017 +0200

    cql: Dump row results
    
    Bug: 13709
    Change-Id: If96e947e14d5bd0ccdc52bf0b618f34c64dd6780
    Signed-off-by: Benoît Canet <benoit@scylladb.com>
    Reviewed-on: https://code.wireshark.org/review/21637
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 1ab6604
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 28 08:14:20 2017 +0000

    [Automatic update for 2017-05-28]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Iac064b8029219fcd67a92db28a3209659113a978
    Reviewed-on: https://code.wireshark.org/review/21772
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9aea938
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Thu May 18 21:41:30 2017 +0200

    List all plugin files for static build
    
    The automake file has a list of plugin files used to support static
    builds. This list should be consistent with the files in the tree.
    This change aligns the list with the current plugin files.
    
    Change-Id: I463a4dbf21651b1a8917049b5a705a93c0744591
    Reviewed-on: https://code.wireshark.org/review/21698
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9097d1b
Author: Harald Welte <laforge@gnumonks.org>
Date:   Fri May 26 21:44:08 2017 +0200

    LAPDm: Support the LAPDm B4 Frame Format
    
    The B4 Frame Format is used on the downlink SACCH and has no length
    field.
    
    While the comment on top of packet-lapdm.c claimed ever since its
    introduction in 2009 that B4 was a supported format, in fact it was not
    supported yet.  This patch makes handling the length field conditional
    to a frame format that has a length field, and introduces lapdm_data_t
    that can be passed using call_dissector_with_data().
    
    The GSMTAP dissector is updated to use this mechanism to specify the
    frame format based on the channel type.
    
    Change-Id: I52cb1cedbc8c7baf65e70d3e050e8932573647aa
    Reviewed-on: https://code.wireshark.org/review/21767
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2023f41
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Fri May 26 23:58:07 2017 +0200

    Qt: About dialog fails when configured without plugins
    
    The about dialog compilation fails when plugins and LUA are disabled.
    Add the missing preprocessor statements.
    Also make the plugin tab really empty when there's nothing to report.
    
    Change-Id: Idba0dc86e7110e56b2d949f517c966a121d28e47
    Reviewed-on: https://code.wireshark.org/review/21768
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c9b0e9c
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu May 25 00:28:45 2017 +0200

    Report syntax errors in UAT prefs parsing
    
    Add the cause for a syntax error while parsing UATs. Example output:
    
        $ tshark -ouat:ssl_keys:,
        tshark: Invalid -o flag "uat:ssl_keys:,": ssl_keys:1: No IP address given.
        $ tshark -ouat:unknown:,
        tshark: Invalid -o flag "uat:unknown:,": Unknown preference
    
    Change-Id: I549406c4e31a81d29f487ef47bdb3c22da084947
    Reviewed-on: https://code.wireshark.org/review/21748
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jakub Zawadzki <darkjames-ws@darkjames.pl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9401659
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed May 24 15:37:03 2017 -0700

    WSUG: Add a TCP Analysis section.
    
    Try to document as accurately as possible the circumstances under which
    each TCP analysis flag is added.
    
    Update some TCP debugging code.
    
    Change-Id: I793756f73b8ade328e150acf32bc203792e29449
    Reviewed-on: https://code.wireshark.org/review/21749
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 1420e0a
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Thu May 25 23:00:32 2017 +0100

    Modbus: Add dissection of each bit for holding coils and discrete inputs
    
    Bug: 13734
    Change-Id: Ifd89bc1055edd7c123395ce0511594fc88d151a2
    Reviewed-on: https://code.wireshark.org/review/21759
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1b02cb9
Author: Brandon Enochs <enochs.brandon@gmail.com>
Date:   Mon May 22 19:53:25 2017 -0400

    Added IEEE CID support to the make-manuf script.  These prefixes are commonly used in IEEE 802.11 MAC address randomization.
    
    Change-Id: I94ed29d31c81df0e4f514d7c354073182c116f75
    Reviewed-on: https://code.wireshark.org/review/21737
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d14b8f6
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu May 25 15:27:18 2017 -0400

    GTK: Don't allow extcap capture filters to be verified.
    
    There isn't an API to do it and if WinPcap isn't present it can
    cause a crash.
    
    Change-Id: I5338f854acb26f0822ac027e6c853a550da3f7b1
    Reviewed-on: https://code.wireshark.org/review/21758
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9bd2b63
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu May 25 14:36:44 2017 -0400

    Don't try to compile capture filter if pcap_compile isn't available.
    
    This is most likely due to WinPcap not being installed.
    
    Bug: 13672
    Change-Id: Ic7069f98c7f8068cdc5045204c2e23ab56b3f7eb
    Reviewed-on: https://code.wireshark.org/review/21757
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f33363c
Author: DarienSpencer65 <cusneud@mail.com>
Date:   Thu May 25 19:24:51 2017 +0300

    FP - Fixed bug in heur PCH dissector
    
    Calculated length in bits ( * 8 ) then checked as bytes
    
    Change-Id: Ic9ef94bcdce40fc6463bf472d1e3a4a3cf05b1ba
    Reviewed-on: https://code.wireshark.org/review/21755
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit dd2b1d5
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue May 16 09:07:17 2017 -0400

    checkAPIs.pl: Add check to make sure tvb_get_ function isn't used in proto_tree_add_xxx
    
    Check for situations for things like proto_tree_add_uint, where the "uint" passed
    is a call to tvb_get_ntohl().  For that, proto_tree_add_item should be used.
    
    Change-Id: Ibe14678bd66b05f612b125ca289f671c499a2990
    Reviewed-on: https://code.wireshark.org/review/21685
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 728d5ef
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed May 24 09:03:17 2017 -0400

    packet-lpp.c: Create temporary variables for some proto_tree_add_uint calculations.
    
    Pacify checkAPIs.pl
    
    Change-Id: I03be9eaa4f47df48d8809d205997ee4db47707b7
    Reviewed-on: https://code.wireshark.org/review/21743
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit dd73765
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed May 24 09:14:18 2017 -0400

    packet-lte-rrc.c: Create temporary variables for some proto_tree_add_uint calculations.
    
    Pacify checkAPIs.pl
    
    Change-Id: I1801bd92aeb34e3e3240b15cef024718062852d7
    Reviewed-on: https://code.wireshark.org/review/21744
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7ca84f3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 25 11:14:51 2017 +0200

    umts_fp: Fix Dereference of null pointer found by Clang analyzer
    
    Change-Id: I9b35429d7599c95e0231cec835ac3cd1fca6b06b
    Reviewed-on: https://code.wireshark.org/review/21752
    Reviewed-by: sswsdev <sswsdev@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5a56cf6
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 25 11:06:53 2017 +0200

    umts_fp: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
    
    Change-Id: Ia3f467e7cbec0a253da42b4d549de75330c91366
    Reviewed-on: https://code.wireshark.org/review/21751
    Reviewed-by: sswsdev <sswsdev@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit da9363e
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Sat May 20 00:27:01 2017 +0100

    RADIUS: Add support for extended attributes (RFC 6929)
    
    Bug: 13176
    Change-Id: I22cdce01d8e7d5b69c2013684a98a9a48acc0d13
    Reviewed-on: https://code.wireshark.org/review/21727
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit fd9f698
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 25 11:16:12 2017 +0200

    icq: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
    
    Change-Id: Ic009ea5bce2f349ede407e0bed3a8640262433d2
    Reviewed-on: https://code.wireshark.org/review/21753
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d962e7a
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed May 24 23:20:54 2017 -0400

    Simplify proto_tree_add_bytes_format[_value]
    
    Call proto_tree_add_bytes first so it can do all of the basic
    field checks that were being duplicated.
    
    Change-Id: Idc9a3cbf9498aa612a39cc80e3381eba52ce9fa4
    Reviewed-on: https://code.wireshark.org/review/21750
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 45dbd23
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed May 24 10:30:01 2017 -0400

    packet-icq.c: Use more FT_UINT_STRING
    
    Makes it simpler than proto_tree_add_string + tvb_get_string_enc combo.
    
    Change-Id: Id25d1cc1ed727a6211d9ce113d54dd29c9bbdfcb
    Reviewed-on: https://code.wireshark.org/review/21745
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e108df0
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed May 24 10:45:19 2017 -0400

    packet-gsm_a_rr.c: proto_tree_add_uint -> proto_tree_add_bits_item
    
    Change-Id: Iacf9328ddaa51f9459fd19752bcde70d9312e425
    Reviewed-on: https://code.wireshark.org/review/21746
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 249ce2f
Author: DarienSpencer65 <cusneud@mail.com>
Date:   Wed May 24 15:12:05 2017 +0300

    NBAP: Create E-DCH channel info
    
    Adding missing creation and insertion of the E-DCH channel
    info the the FP conversation info struct
    
    Change-Id: Ic7dfb5b9579133ff84b2fc4fff73a3560055dcca
    Reviewed-on: https://code.wireshark.org/review/21742
    Reviewed-by: S. Shapira <sswsdev@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 12d4ca9
Author: Aurelien Aptel <aaptel@suse.com>
Date:   Tue May 23 18:58:36 2017 +0200

    SMB2: set session server port in partial capture
    
    When dissecting a capture that does not have a session setup exchange,
    assume tree connect response packets are coming from the server and set
    the port accordingly.
    
    This is needed for decryption because the decryption key is different
    depending on which side the message was created on. We need to set the
    server port to know if a packet was made on the server.
    
    Change-Id: I80229ed6d69821bc0c76808e57bdb2fc53fcceb3
    Reviewed-on: https://code.wireshark.org/review/21741
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 667782b
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue May 23 15:09:49 2017 +0200

    [RANAP] Pretify info column.
    
    Change-Id: I7f1832cd818d76843e00b689883e28ed46633585
    Reviewed-on: https://code.wireshark.org/review/21739
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8fd14b7
Author: Anders Broman <a.broman58@gmail.com>
Date:   Tue May 23 10:56:03 2017 +0000

    Revert "Fix issue with dissecting multiple DT1 packets in the frame"
    
    Bug: 13651
    This reverts commit daefa86695ecb6f859615ccd1bee6269e2c568a5.
    
    Change-Id: I50eee7ae99bc471d95365a8da0271188d826ac46
    Reviewed-on: https://code.wireshark.org/review/21738
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8bc9f9a
Author: sswsdev <sswsdev@gmail.com>
Date:   Mon May 22 17:57:58 2017 +0300

    UMTS FP: Fixed heuristic FACH dissector
    
    Dissector was not adding the correct TB size & TB count to the conversation
    info for the longer RACH variant (52 bytes long)
    
    Change-Id: Iace894929684af3e0eb9804cbc57cdc169f136a9
    Reviewed-on: https://code.wireshark.org/review/21736
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit dd91436
Author: Kenneth Soerensen <knnthsrnsn@gmail.com>
Date:   Mon May 15 14:08:46 2017 +0200

    ZigBee: Add attribute and command names from Events cluster
    
    Bug: 13360
    Change-Id: Ie6c5cb4d592490716204ff56dea11e92e071f740
    Reviewed-on: https://code.wireshark.org/review/21662
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit fc1c8e1
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon May 22 15:09:13 2017 +0200

    [RANAP] Update to 3GPP TS 25.413 V14.0.0 (2017-03)
    
    Change-Id: I5d448a4daf438b05a30473e999574803e5d6ade9
    Reviewed-on: https://code.wireshark.org/review/21730
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d472543
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun May 21 08:12:15 2017 -0400

    packet-dccp.c: Don't use tvb_get_ptr for getting a uint number.
    
    Use the tvb_get_ntohXXX instead.
    
    Change-Id: I8d5c6ac2f2c8b1ac9237297f06709513fc2c9113
    Reviewed-on: https://code.wireshark.org/review/21733
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8cdbde0
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun May 21 07:39:32 2017 -0400

    packet-h261.c: Use proto_tree_add_item
    
    Change-Id: Ifbb69d0bd2a71c4dd022c6dbae2ed84c2bf5f912
    Reviewed-on: https://code.wireshark.org/review/21732
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6112591
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri May 19 19:00:19 2017 -0400

    packet-rfc2190.c: Use proto_tree_add_item instead of proto_tree_add_xxx.
    
    Use hf_ fields with bitmasks instead of manually computing bits.
    
    Change-Id: I342ac9288155647fc6600223f892513bab351a7c
    Reviewed-on: https://code.wireshark.org/review/21731
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 31335e6
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon May 22 09:25:58 2017 -0400

    packet-megaco.c: Rename my_proto_tree_add_string -> megaco_tree_add_string.
    
    It can trip up some of the check*.pl scripts and makes it clearer it's
    very megaco specific.
    
    Change-Id: Idb8ee104f59e07d5cfabd7aaedf23f915fad51b3
    Reviewed-on: https://code.wireshark.org/review/21734
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 96d4837
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon May 22 09:27:33 2017 -0400

    Create temporary variables for some proto_tree_add_<datatype> calculations.
    
    checkAPIs.pl doesn't like tvb_get_* parameters because it thinks
    proto_tree_add_item should be used.  This is just to pacify the check.
    
    Change-Id: I2df1233fe8c7976c257197079c06d24e472303b5
    Reviewed-on: https://code.wireshark.org/review/21735
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b3c6895
Author: Eric Wetzel <thewetzel@gmail.com>
Date:   Wed May 17 22:17:30 2017 -0400

    dnp3: fix parser when a packed variation is used with prefix value qualifier
    
    Bug: 13733
    Change-Id: I4d490793b54816e731d72bf1317d3779a05ae011
    Reviewed-on: https://code.wireshark.org/review/21722
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 3337114
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 21 08:15:09 2017 +0000

    [Automatic update for 2017-05-21]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I4a0774a6aa3ecb101b7ca0a87571544dc936012d
    Reviewed-on: https://code.wireshark.org/review/21723
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5f74d8b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat May 20 16:51:32 2017 +0200

    QUIC: fix some indent issue
    
    Change-Id: If259cb4c37b10aca9f5b8e16f409acc8412f0622
    Reviewed-on: https://code.wireshark.org/review/21719
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 92b8921
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat May 20 19:00:24 2017 +0200

    Revert "Change exports from Q.932 to use VALS_WITH_TABLE in the same way as QSIG"
    
    This reverts commit d3b72329359103f298e4f633b8c83fe2ce3c7517.
    
    Revert "Fix debian symbols check after Q.932 symbols removal"
    
    This reverts commit 3bc43e377076d1097321e2f7ffc89f52ee33afa0.
    
    Change-Id: Ib0623ab289613f48c73d38d038131a69cbf2190b
    Reviewed-on: https://code.wireshark.org/review/21720
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>

commit ab6abed
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat May 20 10:54:40 2017 -0700

    If we don't have an ARUUID, don't use it as if we do.
    
    Don't use random on-the-stack data as a UUID.
    
    Change-Id: I77961e1404ad73a484a7fc865bc54219dc239b4d
    Reviewed-on: https://code.wireshark.org/review/21721
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6abff31
Author: sswsdev <sswsdev@gmail.com>
Date:   Fri May 19 12:28:36 2017 +0300

    UMTS FP: Refactored FP Conversation Info struct
    
    Moved some fields which are only relevant to HS-DSCH / E-DCH  channel into appropriate 'channel specific' structs.
    Also renamed "dchs_in_flow_list" to  "dch_ids_in_flow_list"
    
    Change-Id: I7bdeb74c7b1eda0872c0243f0e5f229df2691866
    Reviewed-on: https://code.wireshark.org/review/21707
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d061a7d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 19 18:29:31 2017 -0700

    Show structures as FT_NONE, not FT_STRING.
    
    Change-Id: I51577b6a92ff2401671065b1e6313db9a438c675
    Reviewed-on: https://code.wireshark.org/review/21718
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 18bc1cf
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 18 17:07:24 2017 +0200

    Openflow(v6): enhance display of Port and Port Description
    
    Change-Id: I6252989f5f57d68049da825da194e0443b91ae09
    Reviewed-on: https://code.wireshark.org/review/21702
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6bc71e4
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri May 19 15:05:06 2017 +0200

    Qt: Add check for packet bytes
    
    Disable menu items handling packet bytes if not having any.
    
    Bug: 13723
    Change-Id: I9cdb1185910f865c61a8ee74e3cf3177159bf315
    Reviewed-on: https://code.wireshark.org/review/21710
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 4424a8e
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri May 19 14:44:14 2017 +0200

    Qt: Check for no tvb in Show Packet Bytes
    
    Bug: 13723
    Change-Id: I145fe93fc05a9cfdc6c0fc949274a1e88dcf2f1e
    Reviewed-on: https://code.wireshark.org/review/21709
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit b2923e9
Author: Björn Ruytenberg <bjorn@bjornweb.nl>
Date:   Fri May 19 19:03:29 2017 +0200

    msnip: Verify pinfo->dst is a valid IPv4 address
    
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1678
    Bug: 13725
    Change-Id: Ib61733200658b4cca0bb0f45e5445b0ed3c12ab0
    Reviewed-on: https://code.wireshark.org/review/21712
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b83e74c
Author: Dhiru Kholia <dhiru.kholia@gmail.com>
Date:   Thu May 18 12:45:03 2017 +0530

    IS-IS: Add support for CRYPTO_AUTH authentication type
    
    CRYPTO_AUTH (generic cryptographic authentication) is documented in
    RFC 5310, https://tools.ietf.org/html/rfc5310.
    
    Sample IS-IS .pcap files using CRYPTO_AUTH (HMAC-SHA1/HMAC-SHA256) can
    be found at https://c0decafe.de/svn/codename_loki/test/.
    
    Bug: 13727
    Change-Id: If25edc5985e13de56ab6bade570f06e0e9db276c
    Reviewed-on: https://code.wireshark.org/review/21697
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 3346fc9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 18 16:43:27 2017 +0200

    TLS: Add Reserved Extension type from GREASE
    
    See https://tools.ietf.org/html/draft-ietf-tls-grease
    
    Change-Id: I305a35c50f6aa94f94f20974babb7c871393f9e7
    Reviewed-on: https://code.wireshark.org/review/21706
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit aa607c3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Feb 5 20:48:22 2017 +0100

    TLS: add Reserved Supported Group from GREASE
    
    See https://tools.ietf.org/html/draft-ietf-tls-grease
    
    Change-Id: Iaf5ec11eba3b28cff5d292326166eae26fabda99
    Reviewed-on: https://code.wireshark.org/review/21705
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 0c3e426
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Feb 5 16:08:25 2017 +0100

    TLS: Update list of Supported Groups Registry
    
    https://www.iana.org/assignments/tls-parameters/tls-parameters.xhtml#tls-parameters-8
    
    Change-Id: I5beca54eb4dc644647b0f40ec005d8e3bf23222f
    Reviewed-on: https://code.wireshark.org/review/21704
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit c449fde
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Feb 5 14:40:47 2017 +0100

    TLS: Update draft tls-chacha20poly1305 to RFC 7905
    
    and also remove some blankline
    
    Change-Id: I5e66a64c95697f8e92d346b7b4c8956eadf967d3
    Reviewed-on: https://code.wireshark.org/review/19955
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 0db842d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 30 21:50:26 2017 +0100

    TLS: Add Reserved cipher from GREASE
    
    See https://tools.ietf.org/html/draft-ietf-tls-grease
    
    Change-Id: I890e33a6b5afb51d768b0264023b51682642f867
    Reviewed-on: https://code.wireshark.org/review/19871
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 3bc43e3
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri May 19 12:07:38 2017 +0200

    Fix debian symbols check after Q.932 symbols removal
    
    Change-Id: Ib68c11220b67f31f69c8fc1524f8492caa577f57
    Fixes: v2.3.0rc0-3576-gd3b7232935 ("Change exports from Q.932 to use VALS_WITH_TABLE in the same way as QSIG")
    Reviewed-on: https://code.wireshark.org/review/21708
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit ac8fd7e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 19 09:40:53 2017 +0200

    Openflow(v6): Display reserved field for Port Description flag
    
    Change-Id: I2d09e47fe54df7b0e5f89395b93c25d769566f42
    Reviewed-on: https://code.wireshark.org/review/21703
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e71219c
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Fri May 19 00:45:30 2017 +0200

    SDP: Handle incomplete media attributes
    
    Media attributes have a format of name:value, where, if the value
    is missing the colon is missing too. Sometimes the colon is there,
    while the value is missing. Even though this is in error, continue
    dissecting the other attributes.
    
    Bug: 13698
    Change-Id: I369b6db657b33a368f4b12134412100774105615
    Reviewed-on: https://code.wireshark.org/review/21699
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2d46fc3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 19 07:30:02 2017 +0000

    afp: fix indent (use tab)
    
    Change-Id: I774942860a5d82cfa9003e0363561374caa095ae
    Reviewed-on: https://code.wireshark.org/review/21701
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e794889
Author: Marius Paliga <mareko.paliga@gmail.com>
Date:   Thu May 18 14:13:33 2017 +0200

    Rename AVP Emergency-Indication to Emergency-Services
    
    Renamed in 29.273 Rel 14
    
    Change-Id: I171510869ed2c8a77a983e7c37bbdcb7494ad076
    Reviewed-on: https://code.wireshark.org/review/21696
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f0086f8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 16 22:15:46 2017 +0200

    odb-ii: Fix Dereference of null pointer found by Clang analyzer
    
    Change-Id: Ic19a59efffba1f19d3469445e8733fce8ab4cf98
    Reviewed-on: https://code.wireshark.org/review/21689
    Petri-Dish: Jakub Zawadzki <darkjames-ws@darkjames.pl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit ebb0d87
Author: Kenneth Soerensen <knnthsrnsn@gmail.com>
Date:   Mon May 15 17:13:43 2017 +0200

    ZigBee: Fix proto_tree_add_item wrong last argument
    
    Change-Id: Ie68acb7eb584be2ac30f9a257949d8d26661e95a
    Reviewed-on: https://code.wireshark.org/review/21667
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f16bc10
Author: sswsdev <sswsdev@gmail.com>
Date:   Tue May 16 16:35:41 2017 +0300

    UMTS FP: Track Paging Indications in PCH
    
    The dissector now carries the 'Paging Indication Bitmap' between subsequent PCH frames.
    The reason for this is any frame containing the bitmap 'wakes up' users to read the subsequence frame. This feature allows us to see which paging groups were called for each frame.
    Also refactored some Paging Indication related fields in the umts convoersation object and tree items.
    
    Change-Id: I5e55e916ec31b60bc93238b397e07a1260906736
    Reviewed-on: https://code.wireshark.org/review/21686
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c0d81f0
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Mon May 15 14:52:26 2017 +0100

    SMTP: allow multiple TCP ports/ranges to be registered
    
    Change-Id: Ie470f6b2ffbdc156a1756466826ef6f42e54b8be
    Reviewed-on: https://code.wireshark.org/review/21666
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c486707
Author: Björn Ruytenberg <bjorn@bjornweb.nl>
Date:   Tue May 16 20:14:45 2017 +0200

    mrdisc: Verify pinfo->dst is a valid IPv4 address
    
    Change-Id: I828a60091ef59a0381feddfcb6dd7a0d20be67f9
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1550
    Bug: 13707
    Reviewed-on: https://code.wireshark.org/review/21687
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d3b7232
Author: Tomas Kukosa <tomas.kukosa@ixperta.com>
Date:   Wed May 17 10:30:54 2017 +0200

    Change exports from Q.932 to use VALS_WITH_TABLE in the same way as QSIG
    (because value tables with WS_DLL_PUBLIC can not be used to initialize hf array)
    
    Change-Id: I45f3a2783e8b0258de79c8198a0382a4281a02eb
    Reviewed-on: https://code.wireshark.org/review/21690
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8edb94c
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue May 16 21:49:58 2017 -0400

    UA/UDP: Create TLV for Connect and make fields filterable
    
    Change-Id: I9c709fa2e69b7ac3a2c136c12d6810d4e716b15f
    Reviewed-on: https://code.wireshark.org/review/21693
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8376a8b
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue May 16 22:55:34 2017 -0400

    Create temporary variables for some proto_tree_add_<datatype> calculations.
    
    checkAPIs.pl doesn't like tvb_get_* parameters because it thinks
    proto_tree_add_item should be used.  This is just to pacify the check.
    
    Change-Id: If40728bcdf5558c351999057321ffba5d802c7c7
    Reviewed-on: https://code.wireshark.org/review/21694
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 99b76a5
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue May 16 14:48:34 2017 -0400

    Use proto_tree_add_item instead of proto_tree_add_xxx.
    
    It's a little more efficient to use proto_tree_add_item, than
    proto_tree_add_xxx, passing it the returned tvb_get_xxx value.
    
    Change-Id: I22ddd7ab36e1ee5aae78fc693d7dbac4b4f802f2
    Reviewed-on: https://code.wireshark.org/review/21691
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3b77900
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue May 16 19:29:01 2017 -0400

    bootp: Always have SIP Server IP be an IP address
    
    Change-Id: Idf6b31748ee5aa04e8660a0eb283072da855dda2
    Reviewed-on: https://code.wireshark.org/review/21692
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b1225fe
Author: Jakub Zawadzki <darkjames-ws@darkjames.pl>
Date:   Tue May 16 07:52:13 2017 +0200

    sharkd: add more information about currently loaded file.
    
    Change-Id: I59c34a0c92963822f02b16479e1ebb3bca6e64f6
    Reviewed-on: https://code.wireshark.org/review/21678
    Petri-Dish: Jakub Zawadzki <darkjames-ws@darkjames.pl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jakub Zawadzki <darkjames-ws@darkjames.pl>

commit 3fbb583
Author: Tomas Kukosa <tomas.kukosa@ixperta.com>
Date:   Tue May 16 12:24:43 2017 +0200

    More exports from Q.932 and QSIG
    
    Change-Id: Ife78a95712b47166735fd48b1b55193e37eef833
    Reviewed-on: https://code.wireshark.org/review/21682
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Tomáš Kukosa <tomas.kukosa@ixperta.com>

commit 511b9dd
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue May 16 13:10:48 2017 +0200

    [Kafka] The inclusion of LZ4 broke building on Ubuntu 14.04, since it has lz4-r114.
    
    But the lz4 frame API was introduced in [r123](https://github.com/lz4/lz4/blob/r123/lz4frame.h).
    Put the code behind a lz4 version check.
    
    Change-Id: If8a7e5f7f2e7c9beac89eec334368a5b95a1bc3f
    Reviewed-on: https://code.wireshark.org/review/21684
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 467031c
Author: sswsdev <sswsdev@gmail.com>
Date:   Mon May 15 19:59:53 2017 +0300

    UMTS FP: Heuristic dissection enhancements
    
    Added sources regarding some magic numbers in the heuristic dissection methods
    Added logic to spot 52 bytes long RACH frames to the RACH heuristic dissector
    Added a check for common TB length in PCH heuristic dissector.
    
    Change-Id: Icdb06cfb230189b3270da0f4c8b24aa400157ea9
    Reviewed-on: https://code.wireshark.org/review/21668
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e6b395b
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue May 16 12:51:42 2017 +0200

    [GTPv2] Update cause values as per 3GPP TS 29.274 V14.3.0 (2017-03).
    
    Change-Id: I43a3d02322c86ff8d388f463aaa66e9866969283
    Reviewed-on: https://code.wireshark.org/review/21683
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 90db2bb
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue May 16 00:09:43 2017 +0200

    Add --enable-ubsan/ENABLE_UBSAN for UndefinedBehaviorSanitizer
    
    UndefinedBehaviorSanitizer (UBSan) can catch a lot of issues
    (out-of-bounds memory access, integer overflows, undefined shifts,
    etc.) and is recommended during development using GCC or Clang. Add an
    option for it (similar to ASAN support).
    
    Change-Id: Ib0db50cee9eb5af0f5c4f06e07f3899a3a34702d
    Reviewed-on: https://code.wireshark.org/review/21673
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 924d1ec
Author: Chris Wills <xenkrs@outlook.com>
Date:   Mon May 15 22:36:52 2017 -0700

    Fixed array index using nss to match the definition
    
    Bug: 13713
    Change-Id: I7e96a6209fe5cd0ba11323f35e4408eb4ff7141a
    Signed-off-by: Chris Wills <xenkrs@outlook.com>
    Reviewed-on: https://code.wireshark.org/review/21677
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1ef6013
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue May 16 10:06:56 2017 +0200

    [Diameter dictionary] Add some AVPs from TS 32.299 V14.3.0 (2017-03)
    
    Change-Id: I887e11697784c487391b2ea7ec3e0d2e69025c82
    Reviewed-on: https://code.wireshark.org/review/21679
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2593a16
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 15 21:33:04 2017 +0200

    Openflow (v4): use BASE_SPECIAL_VALS
    
    to avoid duplicated hf
    
    (like for v5 4b90e93f37cb092472db314ca0df3ce9503e1827)
    
    Change-Id: I7658a98c36cc42dc67f85b84fb16f36f5e505032
    Reviewed-on: https://code.wireshark.org/review/21672
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 400bff0
Author: Jakub Zawadzki <darkjames-ws@darkjames.pl>
Date:   Mon May 15 15:07:34 2017 +0200

    sharkd: export uat records.
    
    Move gtk's fld_tostr() to epan API as uat_fld_tostr.
    
    Change-Id: I01e3b66ca9ea3cd1e2e06e2122190ee42b9ad44b
    Reviewed-on: https://code.wireshark.org/review/21664
    Petri-Dish: Jakub Zawadzki <darkjames-ws@darkjames.pl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit bb6e31d
Author: Nicolas Bertin <nicolas.bertin@al-enterprise.com>
Date:   Mon May 15 14:16:48 2017 +0200

    ua3g: fixed START_TONE message decoding
    
    Change-Id: Ib0cdf793d728b9bdc39754878e878e41e09309de
    Reviewed-on: https://code.wireshark.org/review/21663
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c1389b9
Author: Nicolas BERTIN <nicolas.bertin@al-enterprise.com>
Date:   Sun May 14 22:40:07 2017 +0200

    ua3g: fixed QOS_TICKET_RSP message decoding
    
    Change-Id: Ib0b5e0acb214769b981cb7be75cbafb8ed37403b
    Reviewed-on: https://code.wireshark.org/review/21623
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b560416
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue May 16 01:07:06 2017 +0200

    kafka: fix -Wmissing-field-initializers by removing unneeded code
    
    LZ4F_decompress accepts a NULL parameter to apply default parameters, do
    not bother setting a parameter (this also avoids
    -Wmissing-field-initializers warnings from clang).
    
    Change-Id: Id2cd8d58cd9339dd5af395092a8104b559b6e194
    Reviewed-on: https://code.wireshark.org/review/21675
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4988cca
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 15 16:11:22 2017 -0700

    Add a null pointer check.
    
    While we're at it, fix a typo in a comment.
    
    Bug: 13711
    Change-Id: Ie1e4aa9243ccb10621bf181b232e177c2a7f867c
    Reviewed-on: https://code.wireshark.org/review/21676
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b960f5f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 15 16:01:59 2017 -0700

    Explicitly initialize the current only member of dec_opts.
    
    At least some compilers will warn about not initializing the reserved
    values.
    
    Change-Id: Id907468be757a1cd3137140d285803f3e9f1724a
    Reviewed-on: https://code.wireshark.org/review/21674
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3f161e4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 15 21:09:28 2017 +0200

    Openflow (v6): use BASE_SPECIAL_VALS
    
    for avoid duplicated hf
    
    (like for v5 4b90e93f37cb092472db314ca0df3ce9503e1827)
    
    Change-Id: I2f535e2ed06444959d4c1f1c089fec9693a8b96d
    Reviewed-on: https://code.wireshark.org/review/21670
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 92e1e8e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 15 19:49:46 2017 +0200

    Openflow(v4): fix field typo
    
    Like for OpenFlow(v5) see a88594b093f29220cb2f8825b5dcc06bcaf91e38
    
    Change-Id: Ifcfd398729a1d102a45de3bf86ec98bab285603f
    Reviewed-on: https://code.wireshark.org/review/21669
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 4b90e93
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 21:31:59 2017 +0200

    Openflow(v5): use BASE_SPECIAL_VALS
    
    for avoid duplicated hf
    
    Change-Id: I93ba76e2594e61f8dec9a78540b46025326b1ee6
    Reviewed-on: https://code.wireshark.org/review/21660
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3929124
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon May 15 15:36:10 2017 +0200

    Update symbols table
    
    Change-Id: I34ced87d58ba947d4481775a3402da3647f68549
    Reviewed-on: https://code.wireshark.org/review/21665
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3408166
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon May 15 11:01:09 2017 +0200

    smb: don't use tvb_get_* on proto_tree_add_uint
    
    Part 2
    
    Change-Id: I8f59186bdfc64d4c8dac74245cbffdad1c8d4579
    Reviewed-on: https://code.wireshark.org/review/21661
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b933b8a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 19:44:49 2017 +0200

    EPL: remove unused hf (hf_epl_sdo_od_field)
    
    Change-Id: I85b26a235874fa67c4f44251166353fadccd1eb5
    Reviewed-on: https://code.wireshark.org/review/21659
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 993a0af
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 19:39:06 2017 +0200

    epl: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
    
    Change-Id: Idb2ba4181a9affd8c9a71e52a1dd24fda56bd52c
    Reviewed-on: https://code.wireshark.org/review/21658
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 60c8ada
Author: Jakub Zawadzki <darkjames-ws@darkjames.pl>
Date:   Sat May 13 23:52:50 2017 +0200

    sharkd: output JSON for new_stat_ API.
    
    Change-Id: I5b4b020029f3c1587f96ca1fcf5fbfa2ee78ac31
    Reviewed-on: https://code.wireshark.org/review/21628
    Petri-Dish: Jakub Zawadzki <darkjames-ws@darkjames.pl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Jakub Zawadzki <darkjames-ws@darkjames.pl>

commit c30bb2c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 19:33:12 2017 +0200

    SMB: Fix dissection of SMB_COM_TRANSACTION2_SECONDARY (0x33)
    
    Issue reported by Alex
    Bug: 13690
    Change-Id: I6c0c01569be8474e1cbab0c8ca009c00394e1ffe
    Reviewed-on: https://code.wireshark.org/review/21650
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6b289a8
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat May 13 19:21:45 2017 +0200

    ssl,dtls: fix message hash for extended_master_secret
    
    The handshake_messages for extended master secret start at Client Hello
    and end at ClientKeyExchange. Previously all handshake messages in a
    record would be hashed, possibly covering those after CKE. Now it will
    hash each handshake message separately.
    
    For DTLS, the CH and HVR messages must also be ignored. Additionally,
    DTLS needs special treatment to merge multiple fragments.
    
    Bug: 13704
    Change-Id: I0c8f19b4c352c0195848ded319b6991d76542720
    Reviewed-on: https://code.wireshark.org/review/21625
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit af13668
Author: Rémy Léone <remy.leone@gmail.com>
Date:   Thu Apr 27 10:56:40 2017 +0200

    ieee802154: Refactor payload IE dissection
    
    - Create explicit display filter
    - Adding reference to the IEEE 802.15.4 standard
    - extract dissect_802154_enhanced_beacon_filter
    - Explicit case of header termination
    - Fix typo
    - Add some cast
    
    Change-Id: I21c5b9eb46c72a377f17113ae729c6aeb79e5d2b
    Reviewed-on: https://code.wireshark.org/review/21361
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2c2b40c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 17:25:04 2017 +0200

    OpenFlow(v6): add Openflow bad action error message value
    
    Ping-Bug: 13702
    Change-Id: I3fa5e9f4d0736d62c922ab3994a0a57afda043a3
    Reviewed-on: https://code.wireshark.org/review/21648
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3b6646a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 17:23:16 2017 +0200

    OpenFlow(v6): rename Meter Config to Meter Desc
    
    Ping-Bug: 13702
    Change-Id: I86ed023bcd4f0f9df79dc5c9bd4cfe566c04c804
    Reviewed-on: https://code.wireshark.org/review/21647
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 06f4b7b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 17:09:14 2017 +0200

    Openflow(v6): Add OFPGC_INSERT_BUCKET/OFPGC_DELETE_BUCKET
    
    and add new field on groupmod with Bucket
    
    Ping-Bug: 13702
    Change-Id: If5893d49d6cd7a8ab6b46f1fcfce4fbff4153d1f
    Reviewed-on: https://code.wireshark.org/review/21646
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2d90dba
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 16:48:32 2017 +0200

    OpenFlow(v6): Add new OFPXMT type
    
    Ping-Bug: 13702
    Change-Id: If320fe6557a66cafaf95afeead4912f7476a70ad
    Reviewed-on: https://code.wireshark.org/review/21645
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1dc761d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 16:40:02 2017 +0200

    OpenFlow(v6): Enhance OFPIT
    
    OFPIT_METER is now deprecated and there is a new OFPIT_STAT_TRIGGER
    
    Ping-Bug: 13702
    Change-Id: I76b8ab8a86ee59e443fbeac81c45b982bac1b3a2
    Reviewed-on: https://code.wireshark.org/review/21644
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0bbf415
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 16:37:36 2017 +0200

    Openflow(v6): Add new OFPAT Meter
    
    no try on real pcap...
    
    Ping-Bug: 13702
    
    Change-Id: I828ae5599704c9bc514b8968d1a15c9a446555d6
    Reviewed-on: https://code.wireshark.org/review/21643
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e6401c7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 16:26:58 2017 +0200

    Openflow(v6): Add new OFPAT Copy Field
    
    no try on real pcap...
    
    Ping-Bug: 13702
    
    Change-Id: Ia6b048cc8b37bb1697e7378bbcd098a19bff99e3
    Reviewed-on: https://code.wireshark.org/review/21642
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8082e7c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 16:06:12 2017 +0200

    Openflow: Add support of openflow 1.5 (v6)
    
    Copy from dissector 1.4 (v5)
    
    Bug: 13702
    Change-Id: I2ae5b620e6ff1626c69f8fac6184244399e297de
    Reviewed-on: https://code.wireshark.org/review/21641
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d5635bc
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 17:27:55 2017 +0000

    reload-framing: fix typo (serie -> series)
    
    Change-Id: I604b4e2e99753734d550b40d5fe013c89f2960fc
    Reviewed-on: https://code.wireshark.org/review/21652
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ad95bde
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 17:23:03 2017 +0000

    MQ: fix typo (Comit -> Commit)
    
    Change-Id: I36f772f7b7cf0d8e9d3f287bc4bf9718180485d8
    Reviewed-on: https://code.wireshark.org/review/21651
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e15de62
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 14 13:07:34 2017 -0700

    It's now RFC 6940.
    
    Change-Id: I2818d5c0c7e33e53cac2d3f3adb1bfd44f43d756
    Reviewed-on: https://code.wireshark.org/review/21655
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7fc2be0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 14 13:06:03 2017 -0700

    Provide some URLs for the document in question.
    
    Change-Id: Ief48dbc07add739ed7274947640cc9e68552242e
    Reviewed-on: https://code.wireshark.org/review/21654
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 504998d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 17:35:07 2017 +0200

    smb: don't use tvb_get_* on proto_tree_add_uint
    
    Change-Id: I38db11b444a1d4b5be7980c262e9f84ae48c7427
    Reviewed-on: https://code.wireshark.org/review/21649
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 33fbc25
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 17:35:55 2017 +0000

    ansi_map : fix typo (dont't -> don't)
    
    Change-Id: Iffeec2c2f24dad263d328186767a758558a56351
    Reviewed-on: https://code.wireshark.org/review/21653
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit aa3bbe5
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun May 14 15:51:23 2017 +0200

    GSM RLC/MAC: fix another global-buffer-overflow error reported by ASAN
    
    Same root cause as gf751918
    
    Bug: 13708
    Change-Id: I9d1089c3a632ca82370d14beb06ebcd554901415
    Reviewed-on: https://code.wireshark.org/review/21639
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a88594b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 15:14:51 2017 +0000

    Openflow(v5): fix field typo
    
    Change-Id: I101f760a64e4beec73483eeda93068798b140d69
    Reviewed-on: https://code.wireshark.org/review/21640
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b94dafb
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 15:12:55 2017 +0200

    nge: fix conflict for hf field
    
    'nge.unknown' exists multiple times with NOT compatible types: FT_UINT32 and FT_BYTES
    
    Change-Id: I757e6b4107e4d8103950603d4441248b931bbb15
    Reviewed-on: https://code.wireshark.org/review/21638
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e7b6bf3
Author: Jakub Zawadzki <darkjames-ws@darkjames.pl>
Date:   Sun May 7 22:00:06 2017 +0200

    Initial OBD-II PIDs dissector.
    
    Change-Id: I0974f13a032a908bcc27f583c3e059f57959881f
    Reviewed-on: https://code.wireshark.org/review/21552
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jakub Zawadzki <darkjames-ws@darkjames.pl>

commit d8df841
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 14 08:14:03 2017 +0000

    [Automatic update for 2017-05-14]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Ia7833dc62cb4f4687da664b66eba6c5f31437f9a
    Reviewed-on: https://code.wireshark.org/review/21630
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 21735ea
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat May 13 20:05:52 2017 -0400

    Add unit_name_string_get_double to handle float/double fields
    
    Bug: 13705
    Change-Id: I6bd006f216440d071e5c1eeb6b1f996b4a364c62
    Reviewed-on: https://code.wireshark.org/review/21629
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit bd3e24f
Author: Björn Ruytenberg <bjorn@bjornweb.nl>
Date:   Sat May 13 19:31:07 2017 +0200

    IEEE80211-radio: Fix divide by zero
    
    Perform sanity check on parsed data rate. Data rate of zero results in a
    division by zero in calculate_llac_duration. Do not use data rate if zero.
    
    Bug: 13706
    Change-Id: I7883e1052a0965f7927d3a478c0aa992693f7fe1
    Reviewed-on: https://code.wireshark.org/review/21626
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 544ebca
Author: Pau Espin Pedrol <pespin@sysmocom.de>
Date:   Tue May 9 17:50:48 2017 +0200

    gsm_osmux: Support multiple OSmux frames per packet
    
    Also split and show all AMR payloads
    
    Change-Id: I5bde4e87dc51fd4a996a14117813ea89d7005d38
    Reviewed-on: https://code.wireshark.org/review/21600
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 0b060e6
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun May 7 14:05:53 2017 +0200

    gif: simplify the dissection code
    
    Increment offset as we go through the file.
    
    Add a function to dissect a sequence of data blocks. Call this function
    for extension blocks and images.
    
    Change-Id: If156cb9cd4fe4ba6fdd3780c93087f2dd2ae8bf5
    Reviewed-on: https://code.wireshark.org/review/21547
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8112b8d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue May 9 21:21:04 2017 +0100

    Kafka: add LZ4 decompression
    
    Change-Id: Idf2f63782c8751778ad88f46a7f65fe7d5d49f3b
    Reviewed-on: https://code.wireshark.org/review/21577
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2c9b07a
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Wed May 10 19:44:02 2017 +0100

    AIM: allow multiple TCP ports to be configured
    
    Change-Id: I4a74120ad1424f2b5aab0a4ef734ff52e5ac1a14
    Reviewed-on: https://code.wireshark.org/review/21586
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 008e6ef
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri May 12 21:07:24 2017 +0200

    Thread CoAP: fix 2 potential infinite loops
    
    Bug: 13693
    Change-Id: Ie47ca69a9941dbc273bb8f18e300773092a2fc96
    Reviewed-on: https://code.wireshark.org/review/21620
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b6c2592
Author: Nick <jimschaettle@gmail.com>
Date:   Thu Apr 6 13:52:05 2017 -0400

    packet-acn.c: Various cleanup
    
    1. Fix some typos (in hf_ field names and value_string values)
    2. Fix an off-by-on error in blob calculation
    3. Bugfix a few field lengths
    4. Bugfix offset handling when adding ACN address
    
    Change-Id: Id9e3d205b848ce3767b27ef1fcf02f7faae0be15
    Reviewed-on: https://code.wireshark.org/review/20953
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d566531
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri May 12 20:39:40 2017 +0200

    BT L2CAP: avoid a division by 0
    
    Bug: 13701
    Change-Id: Ie433ecd932dcfc40fa6d3fdc3fa00139c64584a2
    Reviewed-on: https://code.wireshark.org/review/21618
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9006955
Author: S. Shapira <sswsdev@gmail.com>
Date:   Fri May 12 00:03:29 2017 +0300

    UMTS Iub: Resolve U-RNTI for C-RNTI
    
    This commit includes logic used to store pairs of C-RNTIs and U-RNTIs based on allocations in RRC and logic to retrive those when encountering C-RNTIs in the MAC header for DCCH over FACH/RACH.
    
    Change-Id: I629ab061b7a73416e5730a980480b81a1aaade11
    Reviewed-on: https://code.wireshark.org/review/21607
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a8228fa
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 12 11:43:09 2017 -0700

    Fix Windows build without pcap.
    
    Change-Id: Ib79da01124a7f1b44f168ce19691d3ceaa7d5a68
    Reviewed-on: https://code.wireshark.org/review/21619
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 572a2e9
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed May 10 07:25:15 2017 -0400

    DOCSIS: Simplify all MAC Management into a single file.
    
    Removes a bunch of duplication set up because commands were all in
    different files.
    
    Change-Id: I950bc70da0edcdef7aaf21a43328cf69267f79af
    Reviewed-on: https://code.wireshark.org/review/21613
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 95ec532
Author: Camille Guérin <guerincamille56@gmail.com>
Date:   Mon May 1 23:36:21 2017 +0200

    OPC UA: Added details for BrowseDescription NodeClassMask and ResultMask
    
    Display the details for the NodeClassMask and ResultMask values in a
    BrowseRequest's BrowseDescription.
    As described in OPC UA 1.03 Specification, the value 0 for the
    NodeClassMask and the value 63 (0x003F) for ResultMask should results in
    returning all the fields in the BrowseResponse.
    Display 'All' when those fields have those values
    Display a detailled bit tree mask when values are different
    
    Code Change:
    Added parseNodeClass and parseResultMask
    Use them in parseBrowseDescription instead of parseUInt32
    Removed not needed anymore hf_opcua_NodeClassMask, hf_opcua_ResultMask
    and their related entries in registerFieldTypes
    
    Change-Id: Ic3ed8630825b5456f91156f06b2203ebfa422155
    Reviewed-on: https://code.wireshark.org/review/21446
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 4b9e481
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Apr 4 21:23:34 2017 +0200

    .mailmap: update (of April)
    
    Change-Id: I74bf31ad4772966a292dde7a73a97d172c5121aa
    Reviewed-on: https://code.wireshark.org/review/20909
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0eaeb99
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon May 8 17:47:46 2017 +0200

    gif: make data block an FT_UINT_BYTES entry
    
    The length byte is now highlighted along with the actual data.
    
    Change-Id: I93ce25ad2cd7c790cc23668d354e32c4f5e195c6
    Reviewed-on: https://code.wireshark.org/review/21610
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f022976
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 12 08:12:01 2017 +0200

    smb: fix some indent typo (use tabs)
    
    Change-Id: I54b301cb224a2ff15d5a7a453ecf6f29b798f366
    Reviewed-on: https://code.wireshark.org/review/21615
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f9f539c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 12 01:46:33 2017 -0700

    Include caputils/capture-wpcap.h whether HAVE_LIBPCAP is defined or not.
    
    It declares what's defined here, so always include it.
    
    Change-Id: I1d7d5ed071e6f2d53af9ff147ede18b05b98ecd1
    Reviewed-on: https://code.wireshark.org/review/21616
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 65227b3
Author: Simon Barber <simon.barber@meraki.net>
Date:   Sat Apr 29 21:41:30 2017 -0400

    Adds aggregate detection, calculation of frame start and end time, and IFS
    
    Change-Id: I3a9cddd9c6e47a5c5c48e2e02a32a71413bcf799
    Reviewed-on: https://code.wireshark.org/review/13590
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f3098fb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 11 20:18:00 2017 -0700

    Don't include headers that depend on pcap if you don't have it.
    
    Change-Id: I17234ef60411f922678b900a6ac4fb264b9ce431
    Reviewed-on: https://code.wireshark.org/review/21614
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4e28cf0
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu May 11 22:29:22 2017 +0200

    Fix header field info checks for FT_UINT_BYTES.
    
    It should be allowed to have an FT_UINT_BYTES hf entry with
    BASE_NONE|BASE_ALLOW_ZERO. At the moment, this triggers an assert:
    
    Err  Field 'Data block' (image-gif.data_block) is an FT_UINT_BYTES
    but is being displayed as (Bit count: 2048) instead of BASE_NONE
    
    For FT_UINT_BYTES entries, we should make the same checks as for
    FT_BYTES. Don't fall through to the default case.
    
    Change-Id: I986a9b779d130919d17595f08b3b63306b3956f2
    Reviewed-on: https://code.wireshark.org/review/21606
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6effc33
Author: Pau Espin Pedrol <pespin@sysmocom.de>
Date:   Tue May 9 14:19:10 2017 +0200

    gsm_osmux: Add RTP Marker field
    
    GSM Osmux recently got support to bring RTP Marker (M) bit. It should be
    mostly backwards compatible as the first bit was reserved and not used
    before for the FieldType.
    
    Support was added in libosmo-netif commit e98afe5808176efb60298a2f764e8e11efaf580b
    This bit is documented in the protocol documentation recently available: http://ftp.osmocom.org/docs/latest/osmux-reference.pdf
    
    Change-Id: Ia0508971519b3df9499d963404bb8a0e3c4b9c33
    Reviewed-on: https://code.wireshark.org/review/21599
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 46ef2da
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu May 11 21:15:28 2017 +0200

    Windows: update LZ4 to 1.7.5 and USBPcap to 1.2.0.1
    
    Change-Id: I02eb4c255a0794b650f566abdadcac16e97196af
    Reviewed-on: https://code.wireshark.org/review/21609
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d2e7e0b
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu May 11 22:54:47 2017 -0400

    Allow proto_register_protocol_in_name_only values to be used as valid hf_ field prefixes.
    
    Change-Id: Ic9998d1f8c6719c7cba78966691295ff9ffbc12a
    Reviewed-on: https://code.wireshark.org/review/21612
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 635ae3d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 11 19:23:59 2017 -0700

    Don't include pcap headers if you don't have pcap.
    
    Don't try to compile code that uses pcap if you don't have it.
    
    Change-Id: Ifa98b4ff47783f5347cb6e1129bbf4e5cac35aab
    Reviewed-on: https://code.wireshark.org/review/21611
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7321183
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 11 12:57:28 2017 -0700

    Put the HAVE_REMOTE hack into wsutil/wspcap.h, and include that file.
    
    Have a header file that defines HAVE_REMOTE if HAVE_PCAP_REMOTE is
    defined, and then includes pcap.h.  Replace all other includes of
    pcap.h, and the definition of HAVE_REMOTE, with includes of that file.
    Check for anything other than wspcap.h including pcap.h in checkAPIs.pl.
    
    Change-Id: I3cbee8208944ad6f006f568b3fe3134e10b2a883
    Reviewed-on: https://code.wireshark.org/review/21605
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6f1e6d2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 11 18:19:02 2017 +0000

    Revert "Revert "Get rid of HAVE_REMOTE.""
    
    This reverts commit 8cd1fd0c993df904596390ebdf350259e7c9c5fc.
    
    Making HAVE_REMOTE a config.h #define is a really horrible idea.  It's *NOT* a configuration option.
    
    Instead, HAVE_REMOTE should be defined by other mechanisms, as was done in 79eab8ca070f978415126f85b0777ab4ab02f0a2.
    
    Change-Id: I4632b63bd73a25a27c5f4686d2baf3e0beddecb3
    Reviewed-on: https://code.wireshark.org/review/21604
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8cd1fd0
Author: Jörg Mayer <jmayer@loplof.de>
Date:   Thu May 11 18:02:06 2017 +0000

    Revert "Get rid of HAVE_REMOTE."
    
    This reverts commit d13b8ea13cf708a7770e7f51912ce16d0b43e459.
    
    This will only work with git HEAD of libpcap, but not with any release versions of libpcap or winpcap (the *pcap includes require the define, not Wireshark).
    
    Change-Id: I08e5ec66e3642dc02f793c83ffc4363bb348202c
    Reviewed-on: https://code.wireshark.org/review/21603
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 129bdb5
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri May 5 11:46:07 2017 +0200

    dns: improve loop detection in label decompression
    
    Previously the number of allowed pointers within a message is equal to
    the data in a tvb (16575 in one example). This is still expensive, so
    implement an alternative detection mechanism that looks for a direct
    self-loop and limits the total pointers to about 256.
    
    Bug: 13633
    Change-Id: I803873e24ab170c7ef0b881d3bdc9dfd4014de97
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1206
    Reviewed-on: https://code.wireshark.org/review/21507
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 79eab8c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 11 03:56:44 2017 -0700

    Force HAVE_REMOTE to be defined when including pcap.h with remote support.
    
    WinPcap made the mistake of having stuff in its public header fines
    depend on a configuration #define, HAVE_REMOTE; this means that we need
    to forcibly define it when building with remote capture support.
    
    The tip of the libpcap master branch does not have that botch; hopefully
    future versions of libpcap-for-Windows will be based on that libpcap and
    thus lack that botch as well.
    
    Defining HAVE_REMOTE in config.h is not the right fix, as it makes it
    look like a *Wireshark* configuration option that code in Wireshark
    should test, rather than a *WinPcap* configuration option that the
    pcap.h that ships with the WinPcap SDK should have been changed, as part
    of the build process, to correctly define or not, so that users of
    WinPcap don't have to define it themselves.
    
    Change-Id: I62d1eca6d3c900d0dcc9fbc011db77f595a86313
    Reviewed-on: https://code.wireshark.org/review/21593
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 871a8a2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 11 03:50:02 2017 -0700

    Another shadowing fix for abort().
    
    Change-Id: I991bd24ab8b64bdfeae275941d79b716da3309f9
    Reviewed-on: https://code.wireshark.org/review/21592
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 804d0cd
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 11 03:07:28 2017 -0700

    Squelch warning from some compilers.
    
    Change-Id: Iacd5832e3b63fa24907423d2b7df40e81fafb0de
    Reviewed-on: https://code.wireshark.org/review/21591
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1ecf3b6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 11 02:47:58 2017 -0700

    Note whether we found remote pcap support in libpcap.
    
    Change-Id: Ida20f7164d3132a72fdd6547905cd0af4e451917
    Reviewed-on: https://code.wireshark.org/review/21590
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1be20bc
Author: Christoph Schlosser <christoph@schlosser.xyz>
Date:   Wed Apr 12 11:15:39 2017 +0200

    EPL: Dissect read/write multiple parameter SDOs
    
     The dissector only dissected Write Multiple Parameter by Index requests
     correctly.
     Now it is possible to dissect the response to the request and
     Read Multiple Parameter by Index request and responses.
    
    Bug: 13677
    
    Change-Id: I13aae241690cd3ac9dfbe8129ef56d0fc9016301
    Reviewed-on: https://code.wireshark.org/review/21034
    Reviewed-by: Christoph Schlosser <christoph@schlosser.xyz>
    Petri-Dish: Roland Knall <rknall@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f751918
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed May 10 18:10:42 2017 +0200

    GSM RLC/MAC: fix global-buffer-overflow error reported by ASAN
    
    After a M_NEXT_EXIST(), you should always have another variable (like
    M_UINT, M_TYPE, ...) and not immediately end the structure with
    CSN_DESCR_END.
    Note that this is a workaround as the current description does not allow
    a proper parsing anyway (as the structure is reentrant). But at least it
    solves the buffer overflow.
    
    Bug: 13692
    Change-Id: I8e607aadcced2d8cc636dc10f9690c5c679ad581
    Reviewed-on: https://code.wireshark.org/review/21585
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d13b8ea
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 10 14:15:55 2017 -0700

    Get rid of HAVE_REMOTE.
    
    We never test for it - we test for HAVE_PCAP_REMOTE - so there's no need
    to set it in config.h.
    
    While we're at it, note that "PCAP" in "HAVE_PCAP_REMOTE" can refer to
    libpcap as well as WinPcap, given that, at least in the tip of the
    master branch, you can configure remote support in libpcap, although
    it's not enabled by default (it needs to be vetted for security, as it
    increases the attack surface of a machine running the server *and* of an
    application using libpcap with remote support).
    
    Change-Id: I3c96cf16bbda19ec7c085f74cffc6f125198d45b
    Reviewed-on: https://code.wireshark.org/review/21589
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 537eddb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 10 13:46:58 2017 -0700

    Define YYMALLOCARGTYPE appropriately.
    
    Define it, so the generated parser knows what argument type the function
    passed to MateParserAlloc() takes.  Use it when declaring
    MateParserAlloc().
    
    Change-Id: Ice18fd6b5fdbdb31f527e5d6eb06e78594d4565b
    Reviewed-on: https://code.wireshark.org/review/21588
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 559952b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 10 13:39:17 2017 -0700

    Clean up MateParser routine declarations.
    
    Remove the declarations from mate_parser.l, and have mate_parser.h
    include mate.h at the beginning of the file, instead.
    
    Move the #if'ed version of the declaration of MateParserAlloc() to
    mate.h.
    
    Change-Id: I03ffdd5f093b179ffc0cb0e43eac093f7e4af65c
    Reviewed-on: https://code.wireshark.org/review/21587
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1205737
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 9 18:42:05 2017 -0700

    This is specified in section 8 of the DIX v2.0 Ethernet spec.
    
    Note that, and give a URL for the spec.
    
    Change-Id: I60953ddf2e7934ac273ba808ae4aa662f562917e
    Reviewed-on: https://code.wireshark.org/review/21583
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit fc1f62a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 9 19:28:18 2017 +0000

    RADIUS: sync with FreeRADIUS
    
    commit d4e9cc75313f05678d0f2ac41962f46c99751e1f
    Author: Alan T. DeKok <aland@freeradius.org>
    Date:   Sun May 7 12:56:57 2017 -0400
    
        added one more attribute
    
    Change-Id: I5821076c2d4f02d82c393a768edd0c77da582a2d
    Reviewed-on: https://code.wireshark.org/review/21576
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit a78ff10
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 9 18:56:33 2017 +0200

    nge: add modelines info
    
    Change-Id: Ib75f637c36be575a85e75fee6282d1a16455bfd6
    Reviewed-on: https://code.wireshark.org/review/21572
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Charlie Lenahan <clenahan@sonicbison.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5d45e77
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 9 18:56:01 2017 +0200

    nge: fix no previous prototype for ‘proto_register_nge/handoff_nge’ [-Wmissing-prototypes]
    
    Change-Id: I2e7cecad96390f709c6a135b6059c01712971dfe
    Reviewed-on: https://code.wireshark.org/review/21571
    Reviewed-by: Charlie Lenahan <clenahan@sonicbison.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5e944ee
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 9 20:05:10 2017 +0200

    mate (grammar): fix no previous prototype for function 'MateParser/Alloc/Free' [-Wmissing-prototypes]
    
    Change-Id: I87ff11b7c04cb3b6963d4c8c16df2c3d60a0aec8
    Reviewed-on: https://code.wireshark.org/review/21574
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8bab958
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 9 15:07:26 2017 -0700

    You can't have a field be both integer and string.
    
    For an inter-frame gap that couldn't be determined, just add it with
    proto_tree_add_uint_format_value() and "Cannot be determined" as the way
    the value is displayed.
    
    (But why add it *at all* if it couldn't be determined?)
    
    Change-Id: I491f9a6fe430141a15568e9a7dec3253a1c78cf5
    Reviewed-on: https://code.wireshark.org/review/21582
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9d6083e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 9 14:46:24 2017 -0700

    Give fields better names than ".bitN".
    
    ".bitN" names 1) don't indicate what the bit actually *means* and 2) run
    the risk of collisions if the bit in question has a different meaning in
    different bitsets.
    
    Combine the "receive case" and "transmit case" bitsets in some cases
    where the only difference between the two sets is that some bits are
    present only in one set, but if a bit is present in both sets, it has
    the same meaning.
    
    Change-Id: Ie1cb9d076e431b30b64ef05acab39efe38193d33
    Reviewed-on: https://code.wireshark.org/review/21581
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3d9cadd
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 9 14:39:47 2017 -0700

    De-capitalize "error" - it's not capitalized in other field names.
    
    Change-Id: I6f5aaaba47ab8d36124aa10c63ceec7cf1f70867
    Reviewed-on: https://code.wireshark.org/review/21580
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b8040a4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 9 14:28:57 2017 -0700

    Fix various field names and types.
    
    Make some names used for multiple fields more stylistically consistent.
    
    If a bitfield has more than one bit, it's not Boolean - the extra bits
    mean it has more values than "true" or "false".
    
    If a bitfield has only one bit, and indicates that something is
    true/false, or enabled/disabled, or present/absent, or on/off, or
    something else obviously Boolean, it's Boolean.
    
    Change-Id: I89d5e214eb5c4e7f72eb59a78757f0f49fec3dbf
    Reviewed-on: https://code.wireshark.org/review/21579
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c25b4f2
Author: Björn Ruytenberg <bjorn@bjornweb.nl>
Date:   Tue May 9 20:04:27 2017 +0200

    debian-setup: Always install Libgcrypt
    
    Libgcrypt is mandatory to build. Do not mark as optional.
    
    Change-Id: Iafbe1cd93f4185e2a9492bb0a21c30a26d8883ce
    Reviewed-on: https://code.wireshark.org/review/21575
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 0920905
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 9 10:51:01 2017 -0700

    Set nss and rate_mcs_index in more arms of the Series II PLCP switch.
    
    For HT mixed, set it the same way it's set for HT greenfield.
    
    For pre-HT, set it to 0.
    
    Also, for the "unknown" case, set rate_mcs_index to 0.
    This should obviate the need to initialize either of those variables,
    don't initialize them, so that failing to set them in an arm of the
    switch statement shows up as an error if the compiler's dataflow
    analysis actually bothers to check this.
    
    Change-Id: I92703770dd5000a579b53609fb93a2085fd9fca3
    Reviewed-on: https://code.wireshark.org/review/21573
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2d44f7f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 9 14:08:40 2017 +0200

    ua3g: fix conflicting entry in its value_string
    
    Field 'Audio Env.' (ua3g.ip.set_param_req.parameter.audio_env) has a conflicting entry in its value_string: 2 is at indices 2 (Open Space) and 3 (Meeting Room))
    
    Field 'Audio Env.' (ua3g.ip.set_param_req.parameter.audio_env) has a conflicting entry in its value_string: 2 is at indices 2 (Open Space) and 4 (Noisy))
    
    Field 'Audio Env.' (ua3g.ip.set_param_req.parameter.audio_env) has a conflicting entry in its value_string: 2 is at indices 3 (Meeting Room) and 4 (Noisy))
    
    Change-Id: I495f183dd52e59ec64e6eea0df15a5b243d8b87c
    Reviewed-on: https://code.wireshark.org/review/21568
    Reviewed-by: Nicolas BERTIN <nicolas.bertin@al-enterprise.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0972db2
Author: Adrian Simionov <daniel.simionov@gmail.com>
Date:   Tue May 9 23:16:16 2017 +1000

    docsis: DCC-REQ TLV 2.7 support
    
    Change-Id: I40724306d5facd0f4a5a9ca2354330577857d27f
    Reviewed-on: https://code.wireshark.org/review/21563
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5cd7ea6
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue May 9 10:11:27 2017 -0400

    Don't have epan_dissect_init() return anything.
    
    It manipulates the epan_dissect_t structure passed into it and then
    returns that.
    Callers can (and have been) just using the passed in epan_dissect_t
    structure anyway.
    
    Change-Id: Ia19d360a7347ff473654eeb553756f59a38f95bd
    Reviewed-on: https://code.wireshark.org/review/21570
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8c57605
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Tue May 9 13:19:55 2017 +0100

    More fields, more pre-allocated memory for fields.
    
    Change-Id: I36469fad59d28a1fbf15d3fd99544a3a6b0ef015
    Reviewed-on: https://code.wireshark.org/review/21569
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 33f3866
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 9 11:36:29 2017 +0200

    tshark: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
    
    Change-Id: I4425be3bbee0e781dff59a07d7de65f5eba81bdd
    Reviewed-on: https://code.wireshark.org/review/21564
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ea3b356
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 9 14:42:18 2017 +0200

    nm: Uninitialized argument value Warning found by Clang Analyzer
    
    false positive
    
    Change-Id: I8aa2537328a04a64b06142a04ee76705d0df5443
    Reviewed-on: https://code.wireshark.org/review/21566
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 666366e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 9 11:41:32 2017 +0200

    vwr (wiretap): fix Assigned value is garbage or undefined Warning found by Clang Analyzer
    
    Change-Id: I45766c7e89a009176ae56fe9e9f5a8dd63b2995b
    Reviewed-on: https://code.wireshark.org/review/21567
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a7b0674
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 9 11:37:02 2017 +0200

    nm: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
    
    Change-Id: I7592737477e105870ef43118f40c0ab552c81626
    Reviewed-on: https://code.wireshark.org/review/21565
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fb44c8c
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue May 9 10:46:57 2017 +0200

    [GSM RLCMAC] Add comments.
    
    Change-Id: I2d98d8f318fdbe160974a69f50c456683669e57e
    Reviewed-on: https://code.wireshark.org/review/21562
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fa5f913
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon May 8 20:32:56 2017 -0400

    Bring DOCSIS Mac Management "dissectors" into modernity.
    
    1. Use proto_tree_add_item_ret_uint to remove separate "gets"
    2. Remove if (tree)s that prevented expert_info
    3. Apply consistent whitespace
    4. Apply consistent TLV behavior, making T and L always filterable
    5. Remove T name (of TLV) from field name itself (where applicable)
    6. Use BASE_UNIT_STRING and BASE_NO_DISPLAY_VALUE
    
    Tested with capture generated from https://github.com/AdrianSimionov/docsis-generator
    
    Change-Id: I9987397ccb3248b2a26d850af468740f94b28a63
    Reviewed-on: https://code.wireshark.org/review/21561
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 954548f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 2 12:21:49 2017 +0200

    qsig: fix conflicting entry in its value_string
    
    Field 'Error' (qsig.error) has a conflicting entry in its value_string: 43 is at indices 12 (proceduralError) and 42 (notActivated))
    
    Change-Id: I17fcebc677495033dedad57dd0c3d87631152290
    Reviewed-on: https://code.wireshark.org/review/21456
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c88e60f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed May 3 17:21:02 2017 +0200

    ceph: fix conflicting entry in its value_string
    
    Field 'Type' (ceph.type) has a conflicting entry in its value_string: 64 is at indices 39 (C_CEPH_MSG_PRIO_LOW) and 40 (C_MSG_MON_SCRUB))
    
    Change-Id: I69e6bd56d928c20b6262999e057c92f0d325e96d
    Reviewed-on: https://code.wireshark.org/review/21509
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 07fc801
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon May 8 17:21:58 2017 +0200

    [GSM RLCMAC] Update : PACKET RESOURCE REQUEST to Release 14.0.0
    
    Change-Id: I41e6ebf862f0bd9523778053d40f18ae7385a5bd
    Reviewed-on: https://code.wireshark.org/review/21560
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ab50419
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun May 7 21:50:00 2017 +0200

    Qt: try harder to find a working monospace font
    
    QFont::toString returned the default font (which might be unavailable),
    leading to use of non-monospace fonts in the bytes view. Detect the
    effective font instead and apply it to avoid this issue.
    
    Add additional logic to invoke font detection when the configured font
    is bad (for example, because of the bug or because a font has been
    removed in meantime).
    
    Bug: 13638
    Change-Id: I8a625cf365c90119caebe8c4deada0df7426e53a
    Reviewed-on: https://code.wireshark.org/review/21551
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>
    Petri-Dish: Jörg Mayer <jmayer@loplof.de>
    Tested-by: Jörg Mayer <jmayer@loplof.de>
    Reviewed-by: Ahmad Fatoum <ahmad@a3f.at>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ee37135
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 7 19:39:19 2017 -0700

    Note that the HT MCS index macros can't return all possible MCS values.
    
    I don't know whether this is a bug in the software or a lack of support
    in the hardware.
    
    This at least notes the issue in CID 1405905.
    
    Change-Id: I481454bc38842a0f877cb8b52b73e1156fd362b5
    Reviewed-on: https://code.wireshark.org/review/21558
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 548e976
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 7 14:18:46 2017 -0700

    Fix handling of 20 MHz VHT with MCS = 9.
    
    That's valid only for 3 or 6 spatial streams; return 0 as the bitrate
    for all other values.  Also, handle the 6 spatial streams case.
    
    Give the conversion tables explicit sizes, to make it clear what
    subscripts are valid.
    
    Return 0 for an MCS > 9, for consistency with the other error return,
    and to mark it as clearly wrong.
    
    Fixes CID 1405908.
    
    Change-Id: Icbf655c63c0e88fd6cec7c66bae85fd887a3bd9c
    Reviewed-on: https://code.wireshark.org/review/21557
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f4585f9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 7 14:13:48 2017 -0700

    Regenerate header.
    
    Change-Id: Ie77c182b0ee61f84f505b0f40a171d5afef59811
    Reviewed-on: https://code.wireshark.org/review/21556
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2229665
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun May 7 22:59:08 2017 +0200

    gif: fix the version detection
    
    tvb_strneql() returns 0 if the two strings are equal.
    Thanks to Ahmad Fatoum for reporting this bug.
    
    Change-Id: Id6cde56623e18fe0a28f37b108dc1848cc58e1c3
    Reviewed-on: https://code.wireshark.org/review/21554
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 163d660
Author: S. Shapira <sswsdev@gmail.com>
Date:   Thu May 4 18:09:42 2017 +0300

    UMTS Iub: Refactored U-RNTI resolving logic for dedicated channels
    
    Instead of mapping Scrambling codes to U-RNTIs, now mapping CRNC communication context IDs to U-RNTIs.
    
    Change-Id: Id81b7764d2941b742f21094dac391f8658061a80
    Reviewed-on: https://code.wireshark.org/review/21495
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0419add
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Sun May 7 22:20:10 2017 +0200

    ixveriwave: Fix maybe-uninitialized warning
    
    Fix maybe-uninitialized warning:
    packet-ixveriwave.c:2508:16: error: 'rate_mcs_index' may be used uninitialized in this function [-Werror=maybe-uninitialized]
                 if (rate_mcs_index < 4)
    
    Change-Id: I878f8d68104cf4f01990eebea85cfbb2a170a5bd
    Reviewed-on: https://code.wireshark.org/review/21553
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 6a040b5
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat May 6 19:37:07 2017 +0200

    gif: start cleaning up the dissection code
    
    Remove the global if(tree). We should not throw exceptions under if
    (tree). Buf we may get exceptions while parsing the gif file.
    
    Process the version string once as we go through the file. (Ok, we
    already had to look at it to figure out that we have a gif file.)
    
    Use tvb_reported_length_remaining() in the main loop.
    
    Change-Id: Ie00594eebffc715676ffd5df8cbf7d43034aa68d
    Reviewed-on: https://code.wireshark.org/review/21545
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit c1b7aa4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 7 12:51:37 2017 -0700

    Clean up various things.
    
    Sort the hf_ definitions, and the entries for them, as much as possible
    by the order in which they're put into the protocol tree.
    
    Indicate which if statement branches are for pre-OCTO hardware and which
    are for OCTO hardware.
    
    Pre-HT PHYs don't have an MCS index; the "MCS index" is, rather, an
    index into a table of bit rates, so call it a "rate index".
    
    Fill in some more 802.11 radio pseudoheader fields.
    
    Use proto_item_append_text to indicate the direction in the entry for
    the L1 information.
    
    Don't show irrelevant fields, such as the preamble length for HT and
    VHT.
    
    Change-Id: Ibd2baff09fd4ec6e4a84dc0ae2e4615631a2d15e
    Reviewed-on: https://code.wireshark.org/review/21550
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d0e317d
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat May 6 19:34:24 2017 +0200

    gif: refactor the detection of a gif file
    
    Generally, we should not throw an exception before we know that this is
    our file/packet. Use tvb_strneql() to get the version string. This
    function does not throw an exception if there are fewer bytes left than
    we requested.
    
    (I know that we check for reported len < 20. However, for captured
    length > 6 and reported length < 20, the current code does not work.)
    
    Change-Id: I5214c5c9dc9da616a94ae96269ec1c9e6f412e8e
    Reviewed-on: https://code.wireshark.org/review/21544
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 8657646
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun May 7 13:53:22 2017 +0200

    gif: remove pointless coments, unused debug macro
    
    Change-Id: Id4ac23a7e5164e40ddc0ee22ddb62f7121b74ad9
    Reviewed-on: https://code.wireshark.org/review/21543
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 47b1a98
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat May 6 20:25:50 2017 +0200

    gif: (trivial) fix a typo
    
    The trailer byte is 0x3b, not 0xb3.
    
    Change-Id: I9b2d21f369957fc0c4eb5ff376c4aa7fbdc28c9e
    Reviewed-on: https://code.wireshark.org/review/21542
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 2aa3adf
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 7 08:18:57 2017 -0700

    [Automatic update for 2017-05-07]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Iae34b6ae74e4b6f891756732107aa1fdfa9ffa51
    Reviewed-on: https://code.wireshark.org/review/21541
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 6a0b5b3
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Sun May 7 16:16:16 2017 +0100

    Fix kafka build error by casting
    
    Change-Id: I34a5f60c49d09a8cec4a2c9ab49ea48ef67527cd
    Reviewed-on: https://code.wireshark.org/review/21540
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit d89b83a
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Sat May 6 12:35:13 2017 +0100

    Kafka: show decompressed messages more clearly
    
    Change-Id: I8edf251d9ab26f93bf54d8032706ac7b9e4f6dd1
    Reviewed-on: https://code.wireshark.org/review/21538
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 6e925a9
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat May 6 17:57:01 2017 +0200

    netgear: tree is used, remove the _U_
    
    Change-Id: I17d058cf7949e7513241dec0248896bd9883dd11
    Reviewed-on: https://code.wireshark.org/review/21539
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 753d6f6
Author: Jakub Zawadzki <darkjames-ws@darkjames.pl>
Date:   Sat May 6 11:35:23 2017 +0200

    can: remove duplicated can_identifier struct.
    
    Change-Id: Ib6f0bcd1bec9a1fc5cbcd797a1f418270ae74a0e
    Reviewed-on: https://code.wireshark.org/review/21537
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6364e44
Author: Nicolas BERTIN <nicolas.bertin@al-enterprise.com>
Date:   Thu May 4 23:50:31 2017 +0200

    ua3g: updated GET_PARAM_RESPONSE message decoding (freeseating and ethernet config)
    
    Change-Id: Ie67c2e61c031de5b48310d1fc8940808481b725b
    Reviewed-on: https://code.wireshark.org/review/21504
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b310383
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed May 3 18:44:17 2017 +0200

    ixveriwave: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
    
    Change-Id: Ia4ff13fb9ab57ad6749ffdcb4a2b2243c98747b6
    Reviewed-on: https://code.wireshark.org/review/21515
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f175c22
Author: Robert Jonbgloed <robertj@voxlucida.com.au>
Date:   Thu May 4 16:29:48 2017 +0100

    Fixed the column info when displaying VP8 sub protocol to RTP.
    
    The RTP header information was no longer displayed, and this is very useful
    information. It certainly looked like the VP8 information was supposed to
    be extra to the existing info (the dash in the text), and should have been
    tacked on the end.
    
    Change-Id: I1cbefac109a7de7fbc78ac2c274071e20261dd4f
    Reviewed-on: https://code.wireshark.org/review/21496
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1247aae
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 5 19:33:01 2017 -0700

    Set some variables in the "RF only" code path.
    
    That should remove the need to initialize them, make it clearer what
    values are being used in the "RF only" case, and catch any cases where
    they don't get set in the "not just RF" case in the future.
    
    Change-Id: I10c3ecef608ed2f481111fb7bc32bb8494b68d27
    Reviewed-on: https://code.wireshark.org/review/21536
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2474848
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri May 5 16:49:36 2017 -0400

    packet-pcep.c: Fix infinite loop
    
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1363
    Bug: 13687
    Change-Id: I11d9736db945857fdcf2c23826a3acf5f6fd08a7
    Reviewed-on: https://code.wireshark.org/review/21528
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e2bd531
Author: Andrew Feren <acferen@yahoo.com>
Date:   Fri May 5 11:33:31 2017 -0400

    Add decodes for Gigamon IPFIX information elements
    
    -- Elements to be decoded described in IE-doctor format (RFC 7013 section 10)
    httprequrl(26866/1)<string>
    httprspstatus(26866/2)<unsigned16>{identifier}
    sslcertificateissuercommonname(26866/101)<string>
    sslcertificatesubjectcommonname(26866/102)<string>
    sslcertificateissuer(26866/103)<string>
    sslcertificatesubject(26866/104)<string>
    sslcertificatevalidnotbefore(26866/105)<string>
    sslcertificatevalidnotafter(26866/106)<string>
    sslcetificateserialnumber(26866/107)<octetArray>
    sslcertificatesignaturealgorithm(26866/108)<octetArray>
    sslcertificatesubjectpubalgorithm(26866/109)<octetArray>
    sslcertificatesubjectpubkeysize(26866/110)<unsigned16>
    sslcertificatesubjectaltname(26866/111)<string>
    sslservernameindication(26866/112)<string>
    sslserverversion(26866/113)<unsigned16>
    sslservercipher(26866/114)<unsigned16>
    sslservercompressionmethod(26866/115)<unsigned8>
    sslserversessionid(26866/116)<octetArray>
    dnsidentifier(26866/201)<unsigned16>{identifier}
    dnsopcode(26866/202)<unsigned8>{identifier}
    dnsresponsecode(26866/203)<unsigned8>{identifier}
    dnsqueryname(26866/204)<string>
    dnsresponsename(26866/205)<string>
    dnsresponsettl(26866/206)<unsigned32>
    dnsresponseipv4address(26866/207)<ipv4Address>
    dnsresponseipv6address(26866/208)<ipv6Address>
    dnsbits(26866/209)<string>
    dnsqdcount(26866/210)<unsigned16>
    dnsancount(26866/211)<unsigned16>
    dnsnscount(26866/212)<unsigned16>
    dnsarcount(26866/213)<unsigned16>
    dnsquerytype(26866/214)<unsigned16>
    dnsqueryclass(26866/215)<unsigned16>
    dnsresponsetype(26866/216)<unsigned16>
    dnsresponseclass(26866/217)<unsigned16>
    dnsresponserdlength(26866/218)<unsigned16>
    dnsresponserdata(26866/219)<string>
    dnsauthorityname(26866/220)<string>
    dnsauthoritytype(26866/221)<unsigned16>
    dnsauthorityclass(26866/222)<unsigned16>
    dnsauthorityttl(26866/223)<unsigned32>
    dnsauthorityrdlength(26866/224)<unsigned16>
    dnsauthorityrdata(26866/225)<string>
    dnsadditionalname(26866/226)<string>
    dnsadditionaltype(26866/227)<unsigned16>
    dnsadditionalclass(26866/228)<unsigned16>
    dnsadditionalttl(26866/229)<unsigned32>
    dnsadditionalrdlength(26866/230)<unsigned16>
    dnsadditionalrdata(26866/231)<string>
    
    Bug: 13688
    Change-Id: I4a2472d9bb86d195851edd3a1f5e688ba31dde89
    Reviewed-on: https://code.wireshark.org/review/21519
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d815913
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 5 19:25:26 2017 -0700

    Comments to indicate which bits of the header we're looking at.
    
    Change-Id: I7b1c924af9d23894ff79767bbb1290b60d36e298
    Reviewed-on: https://code.wireshark.org/review/21533
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 538abdf
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri May 5 17:23:59 2017 -0400

    packet-dcm.c: Fix infinite loop
    
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1329
    Bug: 13685
    Change-Id: Ic70cf8185beeb4cfa9417c287cf963e1c56bf86c
    Reviewed-on: https://code.wireshark.org/review/21529
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0e53c85
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri May 5 16:37:35 2017 -0400

    packet-ipv6.c: dissect_routing6_rpl must have IPv6 addresses.
    
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1303
    Bug: 13675
    Change-Id: Icadf8a57a25bbf9abaa9685f9e9c7a803204b7e5
    Reviewed-on: https://code.wireshark.org/review/21527
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5d67b33
Author: Charlie Lenahan <clenahan@sonicbison.com>
Date:   Fri May 5 16:56:41 2017 -0400

    Add Netgear Ensemble protocol
    
    Bug: 13689
    Change-Id: I9573d0106a1639cfc2d416a4146f558047cfd67e
    Reviewed-on: https://code.wireshark.org/review/21524
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit dddde02
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri May 5 16:22:01 2017 -0400

    packet-mle.c: Fix infinite loop
    
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1359
    Bug: 13686
    Change-Id: Ibc08b6e79200264d821e755ef1e4b5da74b8cf97
    Reviewed-on: https://code.wireshark.org/review/21526
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 82c667b
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Apr 27 20:25:26 2017 -0400

    vwr.c: Initialize some local variables
    
    Prevents some compiler warnings
    
    Change-Id: I9d62d0f3e6b7794c5ed43f37d52f86d81344a33c
    Reviewed-on: https://code.wireshark.org/review/21531
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3ef57b9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 5 15:12:36 2017 -0700

    Small cleanups.
    
    Add some parentheses to make an expression clearer to people who haven't
    memorized the table of C operator precedences.
    
    Don't fiddle the nss variable in place; explicitly combine it with the
    IS_TX value when we put it in the header, to make it clearer what's in
    that header byte.
    
    Change-Id: I870b892fb9dab2bc210956f923e0183f4e147989
    Reviewed-on: https://code.wireshark.org/review/21530
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0d36885
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed May 3 17:48:40 2017 +0200

    tnef: fix conflicting entry in its value_string
    
    Field 'Type' (tnef.property.tag.type) has a conflicting entry in its value_string: 4126 is at indices 24 (PT_MV_STRING8) and 25 (PT_MV_TSTRING))
    
    Change-Id: I306ba69b954f22781bbafe4400993d73c9be5811
    Reviewed-on: https://code.wireshark.org/review/21511
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5956556
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed May 3 17:24:41 2017 +0200

    mapi: fix conflicting entry in its value_string
    
    Field 'Value' (mapi.SPropValue.value) has a conflicting entry in its value_string: 4126 is at indices 24 (PT_MV_STRING8) and 25 (PT_MV_TSTRING))
    
    Field 'Value' (nspi.SPropValue.value) has a conflicting entry in its value_string: 4126 is at indices 24 (PT_MV_STRING8) and 25 (PT_MV_TSTRING))
    
    Change-Id: Icc1060804ced2887a34ffe81cf473fbe8154ce18
    Reviewed-on: https://code.wireshark.org/review/21510
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c1880e3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed May 3 18:20:41 2017 +0200

    dcerpc pn io (profinet) fix conflicting entry in its value_string
    
    Field 'Index' (pn_io.index) has a conflicting entry in its value_string: 45057 is at indices 82 (Sync-Log / RTA SyncID 1 (GSY)) and 114 (reserved for profiles))
    
    Change-Id: Ic3e6f6db0631a9337861cd697b4d7bf17fba0c36
    Reviewed-on: https://code.wireshark.org/review/21513
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 905e0c0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed May 3 18:50:48 2017 +0200

    lempar: set ParseInit/ParseFinalize static
    
    grammar.c:471:6: warning: no previous prototype for ‘DfilterInit’ [-Wmissing-prototypes]
    grammar.c:646:6: warning: no previous prototype for ‘DfilterFinalize’ [-Wmissing-prototypes]
    dtd_grammar.c:502:6: warning: no previous prototype for ‘DtdParseInit’ [-Wmissing-prototypes]
    dtd_grammar.c:637:6: warning: no previous prototype for ‘DtdParseFinalize’ [-Wmissing-prototypes]
    
    Change-Id: I9c43fb4d5ad50992e8e55163333793b20319aa74
    Reviewed-on: https://code.wireshark.org/review/21516
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c6d7759
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 5 14:13:30 2017 -0700

    Assume the Series II does the same with NSS for VHT that the Series III does.
    
    The packet-ixveriwave.c dissector appears to do so.
    
    Change-Id: Ie02c4611ef18e83abcd3b625bbc40014080ffca1
    Reviewed-on: https://code.wireshark.org/review/21525
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a147841
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 5 13:06:16 2017 -0700

    NSS != (MCS / 8) + 1 for MCS >= 32.
    
    Do the MCS -> NSS mapping for HT by a table lookup.
    
    For VHT with Series II, do it the old way for now, under the assumption
    that the MCS index and NSS are bit fields, but note that the MCS index
    and NSS bit fields would overlap.
    
    Change-Id: Ibc89590faf15900171b2a1b4ac1e50793ed70c32
    Reviewed-on: https://code.wireshark.org/review/21523
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1a5c6da
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 5 11:40:22 2017 -0700

    Series I only handles pre-HT, so rename and remove variables.
    
    Change-Id: Id9f086983544647267854446932a3ffe2ec2cc55
    Reviewed-on: https://code.wireshark.org/review/21522
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8493630
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri May 5 11:31:58 2017 -0700

    Have separate routines for calculating pre-HT/HT/VHT data rates.
    
    That maeks the code a little clearer.
    
    It also makes it clearer that the "MCS index" is, for pre-HT, a rate
    index, so rename some variables and macros.
    
    Change-Id: I64b7bca073df0f837e5d968682345187000207fc
    Reviewed-on: https://code.wireshark.org/review/21521
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7a9c026
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed May 3 18:52:08 2017 +0200

    gsm_sms: fix no previous prototype for ‘proto_reg_handoff_gsm_sms’ [-Wmissing-prototypes]
    
    Change-Id: If580b059d6aae1d69ac32578674491205a7ae21d
    Reviewed-on: https://code.wireshark.org/review/21517
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit daf3ae7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed May 3 18:12:15 2017 +0200

    pn dcp (profinet): fix conflicting entry in its value_string
    
    Field 'BlockQualifier: ResettoFactory' (pn_dcp.block_qualifier_reset) has a conflicting entry in its value_string: 9 is at indices 7 (Resets all stored data) and 12 (Reserved))
    
    Change-Id: I9d43fc44899d47eaafb50a76511dda69560a75da
    Reviewed-on: https://code.wireshark.org/review/21512
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 959a0ed
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed May 3 18:53:42 2017 +0200

    netlink (nl80211) fix no previous prototype for ‘proto_register_netlink_nl80211/handoff_netlink_nl80211’ [-Wmissing-prototypes]
    
    Change-Id: Ife84b7865f7646b3ae8ad0dd3bbf10a679868fce
    Reviewed-on: https://code.wireshark.org/review/21518
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 58a0026
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri May 5 15:40:02 2017 +0200

    extcap: Update example help text
    
    Change-Id: I1240af78664d6066650be67b95f0423a5353c711
    Reviewed-on: https://code.wireshark.org/review/21508
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit e3d284f
Author: Dr. Lars Voelker <lars.voelker@bmw.de>
Date:   Sun Apr 30 23:31:26 2017 -0400

    Adding support for the NM protocol.
    
    UDP-NM is an automotive communication protocol as standardized by
    AUTOSAR and is specified in AUTOSAR_SWS_UDPNetworkManagement.pdf,
    which can be accessed on:
    autosar.org -> Classic Platform -> Software Arch -> Comm Stack.
    
    It can run over UDP or CAN, which is why "UDP" is not in any user
    exposed strings.
    
    Change-Id: I68adfd941c193588a6c8ef0fe1cb7271f921623e
    Reviewed-on: https://code.wireshark.org/review/21437
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 4302a0a
Author: Adrian Simionov <daniel.simionov@gmail.com>
Date:   Sun Apr 30 22:10:12 2017 +1000

    [docsis->dccrsp] Resolve confirmation code
    
    Change-Id: I1f863eea427529537df004e9782311d5c69ed4bd
    Reviewed-on: https://code.wireshark.org/review/21505
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ae8b18d
Author: Rado Radoulov <rad0x6f@gmail.com>
Date:   Thu Apr 27 13:06:24 2017 -0400

    New Lua function TreeItem:referenced(ProtoField | Dissector).
    
    This function returns TRUE/FALSE depending whether the specified ProtoField/Dissector
    needs to be dissected. By using this function in conjunction with the TreeItem.visible
    attribute, Lua dissectors can be significantly sped up by making less C interop calls
    which are relatively slow in terms of dissection especially when using sub-protocols
    where the dissection of an entire protocol can be skipped.
    
    Added tests for TreeItem:referenced to protofield.lua
    
    Change-Id: I44feacb91a2a5b0e3c28c0ccd8d6b04cccd67261
    Reviewed-on: https://code.wireshark.org/review/21387
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit ce8863c
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu May 4 20:03:35 2017 +0200

    nsh: fix stack overflow due to missing length checks
    
    After v2.3.0rc0-3167-ge6f944d632, the NSH dissector could call itself
    recursively and since the minimum header length was not validated, it
    could result in a stack overflow due to infinite recursion.
    
    Add checks based on the text from
    https://tools.ietf.org/html/draft-ietf-sfc-nsh-12#section-3.2
    
    This patch also fixes a regression since v2.3.0rc0-3171-g2273cf0e7b
    where the wrong tvb was passed to subdissectors. Tested with the two
    captures from bug 11490.
    
    Bug: 13612
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1156
    Change-Id: I8cacfa267557e8373ff8134f4b020d927e37842f
    Reviewed-on: https://code.wireshark.org/review/21499
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a9be088
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 4 18:18:20 2017 -0700

    Fix previous change.
    
    Change-Id: I6093d9f5d498c003d14e4f3cec4220eb191d550e
    Reviewed-on: https://code.wireshark.org/review/21506
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit dd88461
Author: Hessam Jalali <hessam.jalali@gmail.com>
Date:   Mon Apr 24 17:31:00 2017 +0430

    Auto reset epan session
    
    
    Automatically resets intarnal epan session after reaching to
    specified number of packets, for example
    -M 1000
    will reset the session every 1000 packets.
    
    this is more like a proposal since the usage is very specific
    it is useful for 24/7 live capture with dissection and sending
    data directly to another application.
    
    example:
    
    tshark -Y "gtp" -M 100000 -T fields -e gtp.message -e gtp.teid
    
    Change-Id: I8ee8b0380017c684120a93cb3fb43f41615a9c04
    Reviewed-on: https://code.wireshark.org/review/21312
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8e52cfb
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Thu May 4 14:21:27 2017 +0200

    Qt: Inhibit Disable Protocol when applicable
    
    The packet details context menu allows you, through the Protocol
    Preferences sub menu to manipulate (disable) the protocol dissection
    through the Disable <protocol>... option. This opens up the appropriate
    dialog and select the applicable protocol.
    This fails for protocols which have their can_toggle flag reset (e.g.
    the frame protocol). The dialog opens, but the protocol can't be found,
    hence the top item is selected.
    
    Instead disable the menu option for protocols which can't have their
    enabled state toggled.
    
    Change-Id: Ifa83f656a8ab747f379d3ca0114520e5efed4b67
    Reviewed-on: https://code.wireshark.org/review/21494
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8bed61f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 4 14:02:08 2017 -0700

    Use proto_tree_add_item_ret_uint() for the RFID.
    
    Do some whitespace cleanup while we're at it.
    
    Change-Id: I1c55ce916b6d8344736f5732130613f63cf4d60f
    Reviewed-on: https://code.wireshark.org/review/21502
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 508bec7
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu May 4 18:45:55 2017 +0200

    bootp: fix potential buffer overflow (read)
    
    The Vendor class Identifier is a string (used with strncmp). Be sure to
    obtain a null-terminated string.
    
    Bug: 13628
    Change-Id: Ic6457da171fbfa1bd18366d965d22e942fb080d6
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1183
    Bug: 13609
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1153
    Reviewed-on: https://code.wireshark.org/review/21498
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 2f35a81
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu May 4 17:57:23 2017 +0200

    dfilter: fix memleak when using value_string values
    
    When using a filter such as "ncp.alloc_reply_lvl2 == FALSE", a memory
    leak would occur as follows:
    
     1. dfilter_fvalue_from_unparsed is called and
     2. ends up calling _uint64_from_unparsed
     3. which fails with error message "\"FALSE\" is not a valid number.".
     4. Next, mk_fvalue_from_val_string is called which maps "FALSE" to 0
     5. and the filter is successfully compiled.
     6. dfwork_free deliberately does not free the error message (since
        there should be none at this point) and we have a memleak (from 3).
    
    Fix this memleak by clearing the error message when a successful
    value_string mapping is found.
    
    Change-Id: I78d59a4336342b09dc5448ea994b2e1d199d7f3f
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1302
    Reviewed-on: https://code.wireshark.org/review/21497
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 98d8703
Author: Nicolas BERTIN <nicolas.bertin@al-enterprise.com>
Date:   Thu May 4 00:22:28 2017 +0200

    ua3g: added SET_SIP_PARAMETERS and FREESEATING messages decoding
    
    Change-Id: I6e00edfa09dea6f9f8c24b72769257ce428bfc61
    Reviewed-on: https://code.wireshark.org/review/21481
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit cd79802
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 4 00:20:37 2017 -0700

    Another comment explaining why a packet size check isn't necessary.
    
    Change-Id: Id7494823f9af69c6185b41983ca78ead2dae24dd
    Reviewed-on: https://code.wireshark.org/review/21492
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4ca15be
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 4 00:12:07 2017 -0700

    Do packet length checks iff they're necessary.
    
    They're not necessary for most hardware; remove the unnecessary checks,
    and add comments indicating why they're not necessary (or fix the
    "maximum value of actual_octets is" part of the comment).
    
    They *are* necessary for Series III hardware; put in the check.
    
    Change-Id: Idd64a74099d5cf7398a2ddb850442e53c9206724
    Reviewed-on: https://code.wireshark.org/review/21491
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit dead1b3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 3 21:51:12 2017 -0700

    Add a comment.
    
    Change-Id: Ia60a0cdac3d70862aa5941487af142bd26ab2b80
    Reviewed-on: https://code.wireshark.org/review/21489
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8638eb9
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Wed May 3 22:56:55 2017 +0100

    Add g_get_monotonic_time() to glib-compat and use
    
    Change-Id: If41dab19692516270e8b4bcf1a8a954bb8dc3ccc
    Reviewed-on: https://code.wireshark.org/review/21480
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0d5c98c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 3 20:28:29 2017 -0700

    Clean up whitespace and a #define.
    
    Add some additional blank lines, remove some extra, blank lines, fix
    indentation.
    
    Make vVW510024_E_IS_VLAN 32-bits, to match the other flags.
    
    Change-Id: Id1cd63ff2b75764907a44e9f8525b1537666fde1
    Reviewed-on: https://code.wireshark.org/review/21488
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0d69b9a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 3 19:55:39 2017 -0700

    Update comments.
    
    There's only a 17-byte PLCP header with the Series III hardware.
    
    Change-Id: Ice8dfbbc5daa0578ee4eb6588fc8a8b597806d0d
    Reviewed-on: https://code.wireshark.org/review/21487
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7703d45
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 3 19:50:11 2017 -0700

    Use a #define for the PLCP type.
    
    That makes it clearer that the Series I hardware doesn't do HT or VHT.
    
    Change-Id: Ibeccfcba997555bef06098828f01951dc32a6d2c
    Reviewed-on: https://code.wireshark.org/review/21486
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 04e5d8d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 3 19:12:03 2017 -0700

    Remove an unnecessary comment, fix another comment.
    
    Change-Id: Id20517c99663c624b6bfd58d7475284db450e003
    Reviewed-on: https://code.wireshark.org/review/21485
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1ac685f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 3 18:53:00 2017 -0700

    Remove trailing white space.
    
    Change-Id: I8cdbde058c7ebb9aaaac4739e9a5c206e0d2c919
    Reviewed-on: https://code.wireshark.org/review/21484
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7c6bdc3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 3 18:45:11 2017 -0700

    More description of stats headers.
    
    Change-Id: I21ee8b39b96dd58ea1dfeb502e8734b33aa298c1
    Reviewed-on: https://code.wireshark.org/review/21483
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6b7d990
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 3 18:32:31 2017 -0700

    Fix some comments, shuffle some code, change a constant in an assignment.
    
    Fix "VHTPPDU" to be "VHT PPDU".
    
    Move the code that processes the RSSI values before the code that
    processes the next two bytes of the header, so it's done in order; that
    makes it a bit easier to see the layout of that header (although 2 bytes
    of it are processed below).
    
    Fix the comment describing what the first 16 bytes of the record data
    after the stats are.  Don't use vVW510021_W_STATS_HEADER_LEN - that's
    for the Series II hardware.
    
    Fix some indentation.
    
    Change-Id: If47c4a44fd5e72971a28daf6af88d5e19c53abbe
    Reviewed-on: https://code.wireshark.org/review/21482
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 81292f3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 3 14:23:54 2017 -0700

    Put back the null terminator in the list of handles.
    
    The code to scan the list has always required a null terminator, but
    change 96f517647a8f8b22c66eacf6e3d8bea9d8b8c68f got rid of the null
    terminator.
    
    Change-Id: I13c1553114e08e8617adaf8874ffb5e7c7c4b2d3
    Reviewed-on: https://code.wireshark.org/review/21477
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e0ab0b7
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Wed May 3 17:44:33 2017 +0100

    Extcap: use glib-compat for g_list_free_full()
    
    Change-Id: I13e6a465b0e169f2f4ce134df3c873c416737b33
    Reviewed-on: https://code.wireshark.org/review/21476
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit dbae27f
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed May 3 09:38:29 2017 -0400

    [DOCSIS] Use expert info instead of THROWing bounds errors for bad lengths
    
    Also adjust whitespace for a few places where if (tree) would mess up
    expert_info use.
    
    Change-Id: I79b8f7105515fb9ce220a46f3e875be466ee1044
    Reviewed-on: https://code.wireshark.org/review/21474
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8f6b8e2
Author: Michael Tuexen <tuexen@wireshark.org>
Date:   Wed May 3 10:47:54 2017 +0200

    Add support for TCP over UDP.
    
    Add support to configure a port number for encapsulating TCP
    packets in UDP.
    
    Change-Id: I9aea1eda4537b05e76e76ed0417acb34705bad9e
    Reviewed-on: https://code.wireshark.org/review/21473
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Tüxen <tuexen@wireshark.org>

commit e9d3cb9
Author: Nicolas BERTIN <nicolas.bertin@al-enterprise.com>
Date:   Tue May 2 22:57:56 2017 +0200

    ua3g: updated SET_PARAM_REQ message decoding
    
    Change-Id: Ic20286111b39539b5c423cc2442be0533d0b631e
    Reviewed-on: https://code.wireshark.org/review/21468
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 91a21b3
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Apr 5 13:29:25 2017 +0200

    [mbtcp] Separate conversation and per-packet data, build ppd on first
    pass.
    
    Change-Id: I741824b239476a3eafa481344a3f699f986a03c8
    Reviewed-on: https://code.wireshark.org/review/20927
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0807e50
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue May 2 18:19:46 2017 +0200

    TLS13: update HKDF-Expand-Label for draft -20
    
    This is needed for decryption to work in draft -20. Since lots of
    implementations are still at draft -18, maintain decryption support for
    older draft versions. Tested with tls13.pcapng (attachment 15156).
    
    Change-Id: Ieb7d85136221573007b529b40e4eadc60eac174f
    Ping-Bug: 12779
    Reviewed-on: https://code.wireshark.org/review/21467
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 80176e0
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue May 2 17:54:49 2017 +0200

    TLS13: update Certificate dissection for draft -20
    
    RawPublicKey (RFC 7250) has been incorporated in the Certificate
    message, update the definition and restructure the code accordingly.
    
    No functional change for X.509 certs, but RPK types will now be
    correctly handled for TLS 1.3 (including the context and extensions).
    Ran the test suite and tested for regressions using
    rpk-certficate-message.pcapng from bug 11480.
    
    Change-Id: If551a30344851313430201cb6d6198b2091efc2d
    Ping-Bug: 12779
    Reviewed-on: https://code.wireshark.org/review/21466
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 62adcd6
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Wed May 3 00:19:03 2017 +0200

    USB: prevent array bounds overflow from invalid Darwin transfer type
    
    During 'Darwin' transfer type conversion the network data is taken
    as-is, without checking validity. This results in indexing errors.
    Add validation before using as array index.
    
    Bug: 13676
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1307
    Change-Id: I24ca49bb21ba36a8d6a3c078ac2c05ded7b8d382
    Reviewed-on: https://code.wireshark.org/review/21470
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 37d0e1b
Author: Nicolas BERTIN <nicolas.bertin@al-enterprise.com>
Date:   Tue May 2 23:36:05 2017 +0200

    ua3g: updated START_RECORD_RTP message decoding
    
    Change-Id: I98d2aa5098d3019f829e75e46a0842a9d87786aa
    Reviewed-on: https://code.wireshark.org/review/21469
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 13b6587
Author: Binh Trinh <beango@gmail.com>
Date:   Sun Apr 30 23:17:14 2017 -0400

    pdcp-lte: add preference to ignore Set Security Algorithm
    
    Useful when captures are already deciphered
    
    Change-Id: Ie0f57efa6dccd21d7bd0f25851cbdc8887d7fbbf
    Reviewed-on: https://code.wireshark.org/review/21443
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit c6b56bb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 3 00:23:33 2017 -0700

    Fix handling of Header IEs.
    
    Add the tree for the type/length/element ID for *all* IEs, whether we
    know the IE type or not.
    
    The total length of the IE is 2 + the value of the length field; always
    advance by that much.  This prevents infinite loops.
    
    Fix the name of a field.
    
    Bug: 13678
    Change-Id: Iadc537653999a4a796c6689b180cf1b75e175035
    Reviewed-on: https://code.wireshark.org/review/21472
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit dbd5902
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue May 2 19:52:05 2017 -0700

    Add terminating NULL to lists for proto_tree_add_bitmask().
    
    Those lists require null terminators; fix the script to add them, and
    re-run the script (with the current tip of the master branch for
    xcbproto and mesa).
    
    Change-Id: I76c156521e79753f5c19cae16e9caa031abd2496
    Reviewed-on: https://code.wireshark.org/review/21471
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4a41c24
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 2 12:56:52 2017 +0200

    scsi: fix conflicting entry in its value_string
    
    Field 'SPC-2 Opcode' (scsi.spc.opcode) has a conflicting entry in its value_string: 132 is at indices 26 (Receive Copy) and 27 (Receive Copy Results))
    
    Change-Id: I5916bab1bb493226003e86b5a6b693fd4a727499
    Reviewed-on: https://code.wireshark.org/review/21458
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 427c800
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 2 14:58:26 2017 +0200

    lemon: fix no previous prototype for ‘memory_error’ [-Wmissing-prototypes]
    
    Change-Id: I5830581c843af41f48bc9645c2be7cf35fa00391
    Reviewed-on: https://code.wireshark.org/review/21463
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 67cfac7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 2 14:55:24 2017 +0200

    extcap (parser): fix no previous prototype for ‘extcap_free_toolbar_value/control’
    
    Change-Id: I9ebf5a48534915e5f316358af3637c4fce69593c
    Reviewed-on: https://code.wireshark.org/review/21462
    Petri-Dish: Dario Lombardo <lomato@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 61436c0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 2 15:45:01 2017 +0200

    TLS (1.3): Add new extension 'post_handshake_auth' add on draft 20
    
    The "extension_data" field is zero length.
    
    Ping-Bug: 12779
    Change-Id: I7a512d7940f55a5edf2c4f71bf1684c3d4e4733a
    Reviewed-on: https://code.wireshark.org/review/21465
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 7826ae4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 2 15:35:12 2017 +0200

    TLS: Add support of TLS 1.3 (draft 20)
    
    Ping-Bug: 12779
    Change-Id: I6c54f7c4d793a99e448cbfe6b2971cae418f2d39
    Reviewed-on: https://code.wireshark.org/review/21464
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit fc931b8
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Wed Apr 26 21:46:14 2017 +0100

    Snort: Ask for needed fields.
    
    Doesn't seem to make a difference at the moment, but ask
    for it regardless.
    
    Change-Id: I94ff4f1321b2b2f2cde23f3281a6b79fd7048009
    Reviewed-on: https://code.wireshark.org/review/21436
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 66d6ff9
Author: Nicolas Bertin <nicolas.bertin@al-enterprise.com>
Date:   Tue May 2 10:37:22 2017 +0200

    ua3g: updated RESET message decoding (appl_mode, sip_name and reset_mac parameters)
    
    Change-Id: I4604b4de036f5e2d43a6e4f52e64576d63f2c8ed
    Reviewed-on: https://code.wireshark.org/review/21449
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0336243
Author: Nicolas Bertin <nicolas.bertin@al-enterprise.com>
Date:   Tue May 2 10:49:12 2017 +0200

    ua3g: updated REDIRECT message decoding (redundant maincpu parameter)
    
    Change-Id: I4c703d380010ed784946a0093307423c227d37eb
    Reviewed-on: https://code.wireshark.org/review/21450
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit a81ddf2
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 2 09:09:32 2017 +0200

    nmas (ncp): fix conflicting entry in its value_string
    
    Field 'Return Code' (nmas.return_code) has a conflicting entry in its value_string: 4294965609 is at indices 56 ((-1687) EVALUATION VERSION WARNING) and 58 ((-1689) THREAD CREATE))
    
    Field 'Return Code' (nmas.return_code) has a conflicting entry in its value_string: 4294965610 is at indices 55 ((-1686) DLL FAILED LOADING) and 59 ((-1690) SECURE CHANNEL REQUIRED))
    
    Field 'Return Code' (nmas.return_code) has a conflicting entry in its value_string: 4294965611 is at indices 54 ((-1685) UNICODE FAILED INIT) and 60 ((-1691) NO DEFAULT USER SEQUENCE))
    
    Field 'Return Code' (nmas.return_code) has a conflicting entry in its value_string: 4294965612 is at indices 53 ((-1684) CODEPAGE FAILED INIT) and 61 ((-1692) NO TREENAME))
    
    Field 'Return Code' (nmas.return_code) has a conflicting entry in its value_string: 4294965613 is at indices 52 ((-1683) DOUBLEBYTE FAILED INIT) and 62 ((-1693) MECHANISM NOT FOUND))
    
    Field 'Payload Error' (nmas.encrypt_error) has a conflicting entry in its value_string: 4294965609 is at indices 56 ((-1687) EVALUATION VERSION WARNING) and 58 ((-1689) THREAD CREATE))
    
    Field 'Payload Error' (nmas.encrypt_error) has a conflicting entry in its value_string: 4294965610 is at indices 55 ((-1686) DLL FAILED LOADING) and 59 ((-1690) SECURE CHANNEL REQUIRED))
    
    Field 'Payload Error' (nmas.encrypt_error) has a conflicting entry in its value_string: 4294965611 is at indices 54 ((-1685) UNICODE FAILED INIT) and 60 ((-1691) NO DEFAULT USER SEQUENCE))
    
    Field 'Payload Error' (nmas.encrypt_error) has a conflicting entry in its value_string: 4294965612 is at indices 53 ((-1684) CODEPAGE FAILED INIT) and 61 ((-1692) NO TREENAME))
    
    Field 'Payload Error' (nmas.encrypt_error) has a conflicting entry in its value_string: 4294965613 is at indices 52 ((-1683) DOUBLEBYTE FAILED INIT) and 62 ((-1693) MECHANISM NOT FOUND))
    
    Change-Id: I2bdaa16b04c9d34cfbc5e83ca2b612326216224a
    Reviewed-on: https://code.wireshark.org/review/21451
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 527c31f
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue May 2 14:36:00 2017 +0200

    Qt: Fix build without extcap
    
    Change-Id: Ibfcdb719408c0172ae78bf3b2761ff551ff6313c
    Reviewed-on: https://code.wireshark.org/review/21461
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 798773b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 2 10:52:57 2017 +0200

    mq: fix conflicting entry in its value_string
    
    Field 'Selector........' (mq.inq.sel) has a conflicting entry in its value_string: 2002 is at indices 221 (MQCA_BASE_Q_NAME) and 222 (MQCA_BASE_OBJECT_NAME))
    
    Change-Id: Ie81b58bf9c32ea38ff5d0808accdd8e9dac3b81a
    Reviewed-on: https://code.wireshark.org/review/21453
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9fc3b47
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 2 12:17:53 2017 +0200

    pn532 (rfid): fix conflicting entry in its value_string
    
    Field 'SAM Mode' (pn532.sam.mode) has a conflicting entry in its value_string: 3 is at indices 2 (Wired Card Mode) and 3 (Dual Card Mode))
    
    Change-Id: I5ee07aff43e2f5ba7a2757057a0da80e2f747541
    Reviewed-on: https://code.wireshark.org/review/21455
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 886c571
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 2 09:12:26 2017 +0200

    nettl: fix conflicting entry in its value_string
    
    Field 'Trace Kind' (nettl.kind) has a conflicting entry in its value_string: 536870912 is at indices 2 (Incoming PDU - PDUIN) and 3 (PDUIN))
    
    Field 'Trace Kind' (nettl.kind) has a conflicting entry in its value_string: 268435456 is at indices 4 (Outgoing PDU - PDUOUT) and 5 (PDUOUT))
    
    Change-Id: I14d47225a4ae83b6667313e5c0ca13e4d4d64831
    Reviewed-on: https://code.wireshark.org/review/21452
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b64889d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 2 12:16:16 2017 +0200

    kerberos: fix conflicting entry in its value_string
    
    Field 'padata-type' (kerberos.padata_type) has a conflicting entry in its value_string: 1 is at indices 1 (kRB5-PADATA-TGS-REQ) and 2 (kRB5-PADATA-AP-REQ))
    
    Field 'padata-type' (kerberos.padata_type) has a conflicting entry in its value_string: 15 is at indices 15 (kRB5-PADATA-PK-AS-REP-19) and 16 (kRB5-PADATA-PK-AS-REQ-WIN))
    
    Field 'padata-type' (kerberos.padata_type) has a conflicting entry in its value_string: 20 is at indices 21 (kRB5-PADATA-USE-SPECIFIED-KVNO) and 22 (kRB5-PADATA-SVR-REFERRAL-INFO))
    
    Change-Id: I504291b8eb181c9e40d54421f583755cfc4f17db
    Reviewed-on: https://code.wireshark.org/review/21454
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 093f130
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue May 2 12:24:56 2017 +0200

    qllc: fix conflicting entry in its value_string
    
    Field 'Error' (qsig.error) has a conflicting entry in its value_string: 43 is at indices 12 (proceduralError) and 42 (notActivated))
    
    Change-Id: Ic1468f32922644933a79db504a4ecfb6e2289bd2
    Reviewed-on: https://code.wireshark.org/review/21457
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 741d4f5
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Apr 28 21:26:53 2017 +0200

    Qt: Interface Toolbar improvements
    
    - Select one of the capturing interfaces when start capture
    - Only send user changed control values when start capture
    - Don't show hidden interfaces
    - Allow a toolbar with no interfaces
    - Renamed button role "reset" to "restore"
    - Improved control number validation
    - Updated documentation
    
    Change-Id: Icc8d04043c95c1f3ef8d7cdc3b251be4471cba0a
    Reviewed-on: https://code.wireshark.org/review/21445
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit afb4de3
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Apr 29 10:30:23 2017 -0400

    packet-bzr.c: Prevent infinite loop
    
    Bug: 13599
    Change-Id: If85588099d7c6635865614f8778a903a5e971789
    Reviewed-on: https://code.wireshark.org/review/21410
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6907601
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon May 1 20:27:01 2017 -0700

    Improve the handling of the PLCP header.
    
    Dissect the PLCP headers in a bit more detail, and use bit fields.  Use
    common code.
    
    Change-Id: I8711cba71894bebf94f17fdba98b28cc7a620f81
    Reviewed-on: https://code.wireshark.org/review/21448
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c9f3add
Author: Adrian Simionov <daniel.simionov@gmail.com>
Date:   Sun Apr 30 20:36:14 2017 +1000

    [docsis->dccrsp] Update TLV numbers and names to MULPIv3.1-I10
    
    Change-Id: I72bec5bcbe7e2139ae36bf704e7ebda9207331fd
    Reviewed-on: https://code.wireshark.org/review/21424
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2e2ba64
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon May 1 18:35:04 2017 +0200

    file: (trivial) initialize "passed" when it's declared
    
    Change-Id: I2ace2a6847ca01435651a48934acf9c1c6d2f23d
    Reviewed-on: https://code.wireshark.org/review/21444
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit cd12580
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Apr 30 19:55:06 2017 -0700

    For S3, yes, the PLCP type can be vVW510021_W_PLCP_LEGACY.
    
    (The dissector checks for it.)
    
    Change-Id: Ic1456b263f3cbda2a630259a2b71b1f1015b5e3e
    Reviewed-on: https://code.wireshark.org/review/21442
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 477c4ed
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Apr 30 19:53:51 2017 -0700

    Fill in more fields of the 802.11 radio metadata structure.
    
    Also, use #defines for the PLCP type, and add some comments about the
    PLCP format, and fill in the "short GI" flag from the PLCP header.
    
    Change-Id: Ia3c44cc12feb87c181783e9dc37fe0877d1e2a81
    Reviewed-on: https://code.wireshark.org/review/21441
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8814707
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Apr 30 17:28:38 2017 -0700

    Replace some proto_tree_add_uint() calls with proto_tree_add_item().
    
    If we're fetching a value only to use it in proto_tree_add_uint(), we
    might as well just use proto_tree_add_item().
    
    Change-Id: I504c54f972b2844f57f25c9ffc89c142c8dc495f
    Reviewed-on: https://code.wireshark.org/review/21440
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 20d6b67
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Apr 30 17:10:02 2017 -0700

    Make the record-length checks take the RF information into account.
    
    Include the RF information length if there's RF information.
    
    While we're at it:
    
    Rename the variable holding the offset of the stats information from "j"
    to "stats_offset", to make it clearer what it is.
    
    Clean up whitespace.
    
    Get rid of comments that no longer apply.
    
    Improve the comment explaining the MPDU_OFF value for Series III.
    
    Change-Id: I49e2926a80aa8bb11f87d97fdc628bcc9f1220e0
    Reviewed-on: https://code.wireshark.org/review/21439
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 30d674b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Apr 30 12:44:55 2017 -0700

    Do all the command-type analysis of decode_msg() in the switch statement.
    
    Add #defines for the remaining command types, based on some other
    
    Get rid of the HEADER_IS_xxx #defines; they're the same for all
    hardware, and the switch statement doesn't distinguish between different
    hardware.
    
    Set *IS_TX in the switch statement cases.  While we're at it, set v_size
    and *v_type in the default case; add a VT_UNKNOWN value for that case.
    
    Change-Id: Ib17d1e435c99fcb746144b4735c160a5f22b7544
    Reviewed-on: https://code.wireshark.org/review/21438
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9606d67
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Apr 30 11:08:20 2017 -0700

    Use some #defines.
    
    Change-Id: I9cafd3b745eb0fec39c0a9b5f529249584107971
    Reviewed-on: https://code.wireshark.org/review/21435
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2700055
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Apr 30 10:43:52 2017 -0700

    Fix a comment to reflect reality.
    
    There aren't any "4 Management bytes for OCTO version FPGA" in that
    header.
    
    Change-Id: I57f673dad5bc10b888fae22c2fb1a45af57ff493
    Reviewed-on: https://code.wireshark.org/review/21434
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit df77121
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Apr 30 10:13:50 2017 -0700

    Remove now-unused variables and code and unnecesary headers.
    
    We're not doing any CRC stuff here - that's the job of the 802.11
    dissector, which does it Just Fine - so remove what remains of the stuff
    for it.
    
    Change-Id: If6a0113dec7773b3b4daa7fa014f02c6a97eca0d
    Reviewed-on: https://code.wireshark.org/review/21433
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f9997ee
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Apr 30 14:53:01 2017 +0200

    GSM SMS: use TCAP OTID as last resort for reassembly when GSM MAP does not give info
    
    Bug: 13592
    Change-Id: Ie13e7466da906e72418c6f9d5ea6f816ff14e129
    Reviewed-on: https://code.wireshark.org/review/21425
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 0e2ce1d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Apr 30 09:55:22 2017 -0700

    Pass inforation from dissect_ixveriwave() to wlantap_dissect().
    
    Always set log_mode - if the command type is 3, set log_mode to 0, as
    it's not supplied by the libwiretap code.
    
    Pass log_mode and is_octo from dissect_ixveriwave() to
    wlantap_dissect().  Test is_octo in wlantap_dissect(), just as we do in
    dissect_ixveriwave().
    
    Change-Id: I536ca59f01e644d55e541df6d2e119db590ae48a
    Reviewed-on: https://code.wireshark.org/review/21432
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 63e64e3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Apr 30 09:31:14 2017 -0700

    Remove a now-unused table.
    
    Change-Id: Ibb04201bd2acd5fa6cbcd7837504b10d1d5174c4
    Reviewed-on: https://code.wireshark.org/review/21430
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5de615c
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Apr 30 08:16:34 2017 -0700

    [Automatic update for 2017-04-30]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I491517d8801f9b5d3d3084102ed35b418460e4b6
    Reviewed-on: https://code.wireshark.org/review/21427
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 638fb0a
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Apr 30 09:30:09 2017 -0400

    packet-ixveriwave.c: Initialize mgmt_byte
    
    Suppress Ubuntu warning
    
    Change-Id: Ia95e19d59b768b6842ca58051ffbd97dce84174c
    Reviewed-on: https://code.wireshark.org/review/21426
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Uli Heilmeier <openid@heilmeier.eu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit bb83fe4
Author: Simon Barber <simon.barber@meraki.net>
Date:   Wed Jan 6 17:23:00 2016 -0800

    packet-ieee80211-radio.c: Minor refactor and whitespace cleanup
    
    Change-Id: Idad8f7eeed968eeed9f553fef98d58453f328afb
    Reviewed-on: https://code.wireshark.org/review/21421
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Michael Mann <mmann78@netscape.net>

commit 7f2c6e1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 29 20:51:38 2017 -0700

    Some cleanup.
    
    Whitespace, remove now-irrelevant comments, add more comments, expand
    some comments, make an if chain more straightforward.
    
    Change-Id: I9772022247e2f0fdbfc676db9f0031bad7f8884d
    Reviewed-on: https://code.wireshark.org/review/21423
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9d49ab7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 29 20:35:23 2017 -0700

    Boolean bitfields don't need a mask, just a bit.
    
    You don't have to and the bitfield container with a mask and compare it
    against the bit, you can just test the bit, which is a pretty standard C
    idiom.
    
    Change-Id: I87b3d84f802114199fb93357358412c623199ca2
    Reviewed-on: https://code.wireshark.org/review/21422
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit db2746a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 29 20:13:03 2017 -0700

    Get rid of some unused cruft, and rename an hf_ variable.
    
    Change-Id: Ib74efc765d354b32b40ff298125d4e08f0eb3c2e
    Reviewed-on: https://code.wireshark.org/review/21420
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d2b772e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 29 19:56:04 2017 -0700

    The encryption type field is part of a 16-bit bitfield.
    
    Set its type accordingly.
    
    Change-Id: I3f80828d9e248235db6f4b30f02ada6b6786d25a
    Reviewed-on: https://code.wireshark.org/review/21419
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 287739b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 29 19:51:43 2017 -0700

    There's no "FCS is present" flag passed up from libwiretap.
    
    For Ethernet, the FCS is absent; for 802.11, the Series I and II
    hardware doesn't provide an FCS, but the Series III hardware appears to.
    
    Get rid of the flag bit, and a bunch of other dead code (probably
    inherited by copy-and-paste).
    
    Change-Id: I44301c8211c25a5665eb528ac657925931d3f0b4
    Reviewed-on: https://code.wireshark.org/review/21418
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5c1cf9d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 29 19:42:18 2017 -0700

    Series III packets appear to have an FCS at the end.
    
    Change-Id: I9c4ba78cba4cb32a1473c6b8573880f2b56f1fde
    Reviewed-on: https://code.wireshark.org/review/21417
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit bc7452d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 29 18:41:12 2017 -0700

    Get rid of unused flag bits and #defines.
    
    The "sent/received during CFP", "sent/received with fragmentation" and
    "frame has padding between 802.11 header and payload" flag bits are
    never set by wiretap/vwr.c, so don't test them.  They're copied over
    from radiotap, but this is *not* radiotap.
    
    Also, get rid of a bunch of unused #defines, and one instance of a
    duplicate #define.  Again, they're copied over from radiotap, but this
    is *not* radiotap.
    
    Change-Id: I1d62e6400fb21c40512005d88cbc06d8576e8183
    Reviewed-on: https://code.wireshark.org/review/21416
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 113676b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 29 18:07:46 2017 -0700

    Get rid of duplicate #defines, and shuffle some comments and #defines.
    
    This makes stuff a bit clearer.
    
    Also, add some comments, remove some redundant comments, fix some
    comments, and use some #defines instead of hardcoded constants and
    expressions.
    
    And get rid of an unnecessary setting of *err to WTAP_ERR_SHORT_READ -
    either it's a short read, in which case it was already set to
    WTAP_ERR_SHORT_READ, or it's *not* a short read, in which case *err was
    set to the appropriate error code, and we should leave it alone.
    
    Change-Id: I657f505915854ac4a6b85e87b4021961b1a1c507
    Reviewed-on: https://code.wireshark.org/review/21415
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a48997a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 29 17:37:48 2017 -0700

    Remove Series III code from vwr_read_s2_W_rec().
    
    It's only called if vwr->FPGA_VERSION is S2_W_FPGA, so any code that's
    run only if it's *not* S2_W_FPGA is dead code.  Remove it, for clarity.
    
    While we're at it, add some new comments, fix some comments, and get rid
    of an unused argument to vwr_read_s2_W_rec().
    
    Change-Id: I3e4bd5d7a79f36d8354a0bbf875ee87eeaf60d43
    Reviewed-on: https://code.wireshark.org/review/21414
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c0a1ce2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 29 17:24:45 2017 -0700

    Fix broken test for new Series III metadata header.
    
    Add some comments while we're at it.
    
    Change-Id: I87f97ab640d9a02c01923867d3d3b91e755d0e40
    Reviewed-on: https://code.wireshark.org/review/21413
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7bd8ec1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 29 10:03:35 2017 -0700

    Fields added with proto_tree_add_bitfield() must have an integral type.
    
    Change-Id: I314e192d1d2b6dbe1e098438ba4f407c9b5b6b14
    Reviewed-on: https://code.wireshark.org/review/21411
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b8d473a
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Apr 29 14:24:59 2017 +0200

    iso14443: dissect the type B bit rate info
    
    Change-Id: I71b4d3c8f22c32f1aaf89f147bc6a20ce54aec4d
    Reviewed-on: https://code.wireshark.org/review/21409
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit acdc0a0
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Apr 29 13:47:42 2017 +0200

    extcap_free_interface_info: data param is used
    
    The data parameter is used, remove the _U_ qualifier.
    
    Change-Id: I3a3935bae958103da1a7a1abe0636e4781424aa7
    Reviewed-on: https://code.wireshark.org/review/21408
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 2a3f1a4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 29 04:28:53 2017 -0700

    Eliminate some double-frees.
    
    The cfile_ error-reporting routines free err_info; the caller doesn't
    have to and, in fact, mustn't do so themselves.
    
    While we're at it, make sure wtap_seek_read() always zeroes out *err and
    nulls out *err_info, so the latter either points to a freshly-allocated
    string or is null.
    
    Change-Id: Idfe05a3ba2fbf2647ba14e483187617ee53e3c69
    Reviewed-on: https://code.wireshark.org/review/21407
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e3f4928
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 29 03:31:58 2017 -0700

    Fix some field type errors.
    
    Don't add FT_BOOLEAN and FT_NONE fields with proto_tree_add_uint().
    
    Change-Id: I3c89aa161775fc639e6a7306282b55649a3c473a
    Reviewed-on: https://code.wireshark.org/review/21406
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cc9b38a
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Apr 25 23:26:59 2017 -0400

    Improve ixveriwave dissector
    
    Bug: 13652
    Bug: 12535
    Change-Id: Ie4c140acbe983a585776bc1430cf407cdcd6e07a
    Reviewed-on: https://code.wireshark.org/review/21356
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit fb1a632
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Apr 28 18:39:07 2017 +0200

    GSM MAP: use TCAP OTID to retrieve SM-RP-OA and SM-RP-DA fields when required
    
    Bug: 13592
    Change-Id: Ib8a0ff6d897699c44e5c4b8834123169066cf904
    Reviewed-on: https://code.wireshark.org/review/21397
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5bda985
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 28 20:00:14 2017 -0700

    Don't add /usr/X11/lib/pkgconfig if we're not using GTK+.
    
    Qt for macOS doesn't use X11, so you don't need X11.
    
    Change-Id: Ibc09a2d802f21b5be38baf735d2f6d582d6bf41f
    Reviewed-on: https://code.wireshark.org/review/21401
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 57b1718
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 28 19:55:44 2017 -0700

    Get rid of a message that should no longer apply.
    
    The version of pkg-config downloaded and built by macosx-setup.sh
    defaults to looking in, among other places, /usr/local/lib/pkgconfig, so
    you don't need to add that to PKG_CONFIG_PATH on macOS; Wireshark for
    macOS no longer uses X11, so you don't need to add
    /usr/X11/lib/pkgconfig to PKG_CONFIG_PATH on macOS.
    
    Change-Id: I84fd6848b72010aafd7859c4e9c0a4362113c890
    Reviewed-on: https://code.wireshark.org/review/21398
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b3a339b
Author: Roland Knall <roland.knall@br-automation.com>
Date:   Thu Apr 27 17:23:03 2017 +0200

    openSAFETY: Set filter list for nodes
    
    To enhance the possibility for dissections, add a list
    of nodes, you explicitly want to see and print an info
    text in the node list for all nodes filtered
    
    Change-Id: I08e8a7ddcfd7b78fee24431ffdae75124a8ecddd
    Reviewed-on: https://code.wireshark.org/review/21383
    Reviewed-by: Roland Knall <rknall@gmail.com>

commit 1c9588d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Apr 28 08:00:18 2017 +0200

    dis: fix conflicting entry in its value_string
    
    Field 'Country' (dis.country) has a conflicting entry in its value_string: 107 is at indices 106 (Cote D'Ivoire (aka Ivory Coast)) and 107 (Ivory Coast (aka Cote D'Ivoire)))
    
    Field 'Country' (dis.aggregate.country) has a conflicting entry in its value_string: 107 is at indices 106 (Cote D'Ivoire (aka Ivory Coast)) and 107 (Ivory Coast (aka Cote D'Ivoire)))
    
    Change-Id: Iabc2fafae5d756ff0cdfb4d16a8751b573378f06
    Reviewed-on: https://code.wireshark.org/review/21396
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6a6f64d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Apr 28 07:59:41 2017 +0200

    cipmotion: fix conflicting entry in its value_string
    
     Field 'Service Code' (cipm.svc.code) has a conflicting entry in its value_string: 83 is at indices 30 (Run Hookup Test) and 31 (Get Hookup Test Data))
    
    Change-Id: I3d650b0a6aeacb8e992126a7008e0b256cf1fe94
    Reviewed-on: https://code.wireshark.org/review/21395
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 122c4dd
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Apr 27 17:34:46 2017 +0200

    cmake: make docbook build optional if AsciiDoc is missing
    
    This prevents ASCIIDOC2xxx from being invoked (which would define
    useless targets and error out during the build since a2x is missing).
    
    Now Wireshark.sln builds successfully without Cygwin.
    
    Change-Id: I37684ce4a2ef22bdc74b388ced44271e14a1d337
    Reviewed-on: https://code.wireshark.org/review/21384
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 976d8ab
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Thu Apr 27 20:24:51 2017 +0100

    Snort: get rid of dependency on struct timeval
    
    Change-Id: Iad529ddf85b315452adc26a2d1b4c609ac2aaa00
    Reviewed-on: https://code.wireshark.org/review/21389
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit aeccfa3
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Apr 26 20:28:35 2017 +0200

    GSM SMS: Use SIP To / From tapped addresses for reassembly
    
    Ping-Bug: 13592
    Change-Id: Ie07033972943ef38ca88bc0e82463ebccd281ce2
    Reviewed-on: https://code.wireshark.org/review/21354
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ffddacf
Author: Nicolas Bertin <nicolas.bertin@al-enterprise.com>
Date:   Thu Apr 27 15:18:35 2017 +0200

    uaudp: fixed decoding of CONNECT message
    
    Change-Id: I69e0d9abc8e2fccf2837bf7dee52480063f11193
    Reviewed-on: https://code.wireshark.org/review/21366
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 015d919
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Apr 27 18:23:48 2017 -0700

    Add proto_tree_add_item_ret_boolean().
    
    It does what it says on the label.  You get back TRUE or FALSE in a
    gboolean.
    
    While we're at it, remove a copied-and-pasted comment that doesn't
    apply, and update another comment.
    
    Change-Id: I117391d2ffe44124a614a7f64dad1b389c1ebc6a
    Reviewed-on: https://code.wireshark.org/review/21394
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b9d3db6
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Apr 27 15:17:46 2017 +0200

    ipdc: fix conflicting entry in its value_string (and convert to value_string_ext)
    
    Field 'Message code' (ipdc.message_code) has a conflicting entry in its value_string: 255 is at indices 3 (SS -> GW: MRJ: Message reject.) and 32 (GW -> SS: MRJ: Message reject.))
    
    Field 'Message code' (ipdc.message_code) has a conflicting entry in its value_string: 17 is at indices 17 (SS -> GW: RCR: Release channel request) and 45 (GW -> SS: RCR: Release channel request))
    
     Field 'Message code' (ipdc.message_code) has a conflicting entry in its value_string: 18 is at indices 18 (SS -> GW: ACR: Release channel complete) and 46 (GW -> SS: ACR: Release channel complete))
    
